# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR Free Software Foundation, Inc.
# This file is distributed under the same license as the PACKAGE package.
#
# Translators:
msgid ""
msgstr ""
"Project-Id-Version: RPM\n"
"Report-Msgid-Bugs-To: rpm-maint@lists.rpm.org\n"
"POT-Creation-Date: 2020-03-23 23:24+0100\n"
"PO-Revision-Date: 2017-08-10 07:39+0000\n"
"Last-Translator: pmatilai <pmatilai@laiskiainen.org>\n"
"Language-Team: Finnish (http://www.transifex.com/rpm-team/rpm/language/fi/)\n"
"Language: fi\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"

#: cliutils.c:21 lib/poptI.c:29
#, c-format
msgid "%s: %s\n"
msgstr ""

#: cliutils.c:27 lib/poptALL.c:60
#, c-format
msgid "RPM version %s\n"
msgstr "RPM versio %s\n"

#: cliutils.c:32
#, c-format
msgid "Copyright (C) 1998-2002 - Red Hat, Inc.\n"
msgstr ""

#: cliutils.c:33
#, c-format
msgid ""
"This program may be freely redistributed under the terms of the GNU GPL\n"
msgstr "Tätä ohjelmaa voi vapaasti levittää GNU GPL:n puittessa\n"

#: cliutils.c:53
#, c-format
msgid "creating a pipe for --pipe failed: %m\n"
msgstr "putken luominen --pipe:lle epäonnistui: %m\n"

#: cliutils.c:62
#, c-format
msgid "exec failed\n"
msgstr "suoritus epäonnistui\n"

#: rpm2archive.c:93 rpm2cpio.c:68
#, c-format
msgid "argument is not an RPM package\n"
msgstr "parametri ei ole RPM paketti\n"

#: rpm2archive.c:98 rpm2cpio.c:73
#, c-format
msgid "error reading header from package\n"
msgstr "virhe luettaessa otsikkotietoa paketista\n"

#: rpm2archive.c:113 rpm2cpio.c:93
#, c-format
msgid "cannot re-open payload: %s\n"
msgstr "kuorman uudelleenavaus ei onnistu: %s\n"

#: rpm2cpio.c:79
#, c-format
msgid "files over 4GB not supported by cpio, use rpm2archive instead\n"
msgstr ""

#: rpmbuild.c:114
#, c-format
msgid "buildroot already specified, ignoring %s\n"
msgstr "buildroot on jo määritelty, %s:ää ei huomioida\n"

#: rpmbuild.c:139
#, c-format
msgid "build through %prep (unpack sources and apply patches) from <specfile>"
msgstr "käännä %prep-osioon asti spec-tiedostosta"

#: rpmbuild.c:140 rpmbuild.c:143 rpmbuild.c:146 rpmbuild.c:149 rpmbuild.c:152
#: rpmbuild.c:155 rpmbuild.c:158
msgid "<specfile>"
msgstr "<spec-tiedosto>"

#: rpmbuild.c:142
msgid "build through %build (%prep, then compile) from <specfile>"
msgstr "käännä %build-osioon asti (%prep ja %build) spec-tiedostosta"

#: rpmbuild.c:145
msgid "build through %install (%prep, %build, then install) from <specfile>"
msgstr ""
"käännä %install-osioon asti (%prep, %build ja %install) spec-tiedostosta"

#: rpmbuild.c:148
#, c-format
msgid "verify %files section from <specfile>"
msgstr "tarkista %files-osio spec-tiedostosta"

#: rpmbuild.c:151
msgid "build source and binary packages from <specfile>"
msgstr "käännä lähde- ja binääripaketit spec-tiedostosta"

#: rpmbuild.c:154
msgid "build binary package only from <specfile>"
msgstr "käännä vain binääripaketti spec-tiedostosta"

#: rpmbuild.c:157
msgid "build source package only from <specfile>"
msgstr "käännä vain lähdepaketti spec-tiedostosta"

#: rpmbuild.c:161
#, c-format
msgid ""
"build through %prep (unpack sources and apply patches) from <source package>"
msgstr ""

#: rpmbuild.c:162 rpmbuild.c:165 rpmbuild.c:168 rpmbuild.c:171 rpmbuild.c:174
#: rpmbuild.c:177 rpmbuild.c:180 rpmbuild.c:206 rpmbuild.c:209
msgid "<source package>"
msgstr "<lähdepaketti>"

#: rpmbuild.c:164
msgid "build through %build (%prep, then compile) from <source package>"
msgstr ""

#: rpmbuild.c:167 rpmbuild.c:208
msgid ""
"build through %install (%prep, %build, then install) from <source package>"
msgstr "käännä %install-osioon asti (%prep, %build ja %install) lähdepaketista"

#: rpmbuild.c:170
#, c-format
msgid "verify %files section from <source package>"
msgstr ""

#: rpmbuild.c:173
msgid "build source and binary packages from <source package>"
msgstr ""

#: rpmbuild.c:176
msgid "build binary package only from <source package>"
msgstr ""

#: rpmbuild.c:179
msgid "build source package only from <source package>"
msgstr ""

#: rpmbuild.c:183
#, c-format
msgid "build through %prep (unpack sources and apply patches) from <tarball>"
msgstr "käännä %prep-osioon asti tar-tiedostosta"

#: rpmbuild.c:184 rpmbuild.c:187 rpmbuild.c:190 rpmbuild.c:193 rpmbuild.c:196
#: rpmbuild.c:199 rpmbuild.c:202
msgid "<tarball>"
msgstr "<tar-tiedosto>"

#: rpmbuild.c:186
msgid "build through %build (%prep, then compile) from <tarball>"
msgstr "käännä %build-osioon asti (%prep ja %build) tar-tiedostosta"

#: rpmbuild.c:189
msgid "build through %install (%prep, %build, then install) from <tarball>"
msgstr ""
"käännä %install-osioon asti (%prep, %build ja %install) tar-tiedostosta"

#: rpmbuild.c:192
#, c-format
msgid "verify %files section from <tarball>"
msgstr "tarkista %files-osio tar-tiedostosta"

#: rpmbuild.c:195
msgid "build source and binary packages from <tarball>"
msgstr "käännä lähde- ja binääripaketit tar-tiedostosta"

#: rpmbuild.c:198
msgid "build binary package only from <tarball>"
msgstr "käännä vain binääripaketti tar-tiedostosta"

#: rpmbuild.c:201
msgid "build source package only from <tarball>"
msgstr "käännä vain lähdepaketti tar-tiedostosta"

#: rpmbuild.c:205
msgid "build binary package from <source package>"
msgstr "käännä binääripaketti lähdepaketista"

#: rpmbuild.c:212
msgid "override build root"
msgstr "ohita käännösjuuri"

#: rpmbuild.c:214
msgid "run build in current directory"
msgstr ""

#: rpmbuild.c:216
msgid "remove build tree when done"
msgstr "poista käännöspuu, kun valmis"

#: rpmbuild.c:218
msgid "ignore ExcludeArch: directives from spec file"
msgstr "jätä ExcludeArch-directiivit huomioimatta"

#: rpmbuild.c:220
msgid "debug file state machine"
msgstr ""

#: rpmbuild.c:222
msgid "do not execute any stages of the build"
msgstr "älä suorita mitään käännöksen vaiheita"

#: rpmbuild.c:224
msgid "do not verify build dependencies"
msgstr "älä tarkista käännösriippuvuuksia"

#: rpmbuild.c:226
msgid "generate package header(s) compatible with (legacy) rpm v3 packaging"
msgstr ""

#: rpmbuild.c:230
#, c-format
msgid "do not execute %clean stage of the build"
msgstr ""

#: rpmbuild.c:232
#, c-format
msgid "do not execute %prep stage of the build"
msgstr ""

#: rpmbuild.c:234
#, c-format
msgid "do not execute %check stage of the build"
msgstr ""

#: rpmbuild.c:237
msgid "do not accept i18N msgstr's from specfile"
msgstr ""

#: rpmbuild.c:239
msgid "remove sources when done"
msgstr "poista lähdekoodit kun valmis"

#: rpmbuild.c:241
msgid "remove specfile when done"
msgstr "poista määrittelytiedosto kun valmis"

#: rpmbuild.c:243
msgid "skip straight to specified stage (only for c,i)"
msgstr "siirry suoraan määriteltyyn vaiheeseen (vain c ja i yhteydessä)"

#: rpmbuild.c:245
msgid "override target platform"
msgstr "ohita kohdealusta"

#: rpmbuild.c:262
msgid "Build options with [ <specfile> | <tarball> | <source package> ]:"
msgstr "Käännösvalitsimet:"

#: rpmbuild.c:268 rpmdb.c:40 rpmkeys.c:38 rpmqv.c:63 rpmsign.c:51 rpmspec.c:47
#: tools/rpmdeps.c:43 tools/rpmgraph.c:221
msgid "Common options for all rpm modes and executables:"
msgstr "Yhteiset valitsimet kaikille rpm moodeille:"

#: rpmbuild.c:282
msgid "Failed build dependencies:\n"
msgstr "Puuttuvia käännösriippuvuuksia:\n"

#: rpmbuild.c:300
#, c-format
msgid "Unable to open spec file %s: %s\n"
msgstr "En voi avata spec-tiedostoa %s: %s\n"

#: rpmbuild.c:363
#, c-format
msgid "Failed to open tar pipe: %m\n"
msgstr "tar-putken avaus epäonnistui: %m\n"

#: rpmbuild.c:378
#, c-format
msgid "Found more than one spec file in %s\n"
msgstr ""

#: rpmbuild.c:389
#, c-format
msgid "Failed to read spec file from %s\n"
msgstr "Spec-tiedoston avaaminen %s:sta epäonnistui\n"

#: rpmbuild.c:401
#, c-format
msgid "Failed to rename %s to %s: %m\n"
msgstr "Uudelleen nimeäminen %s -> %s epäonnistui: %m\n"

#: rpmbuild.c:479
#, c-format
msgid "failed to stat %s: %m\n"
msgstr "%s:n stat epäonnistui: %m\n"

#: rpmbuild.c:483
#, c-format
msgid "File %s is not a regular file.\n"
msgstr "Tiedosto %s ole tavallinen tiedosto.\n"

#: rpmbuild.c:490
#, c-format
msgid "File %s does not appear to be a specfile.\n"
msgstr "Tiedosto %s ei vaikuta spec-tiedostolta.\n"

#: rpmbuild.c:551
#, c-format
msgid "Building target platforms: %s\n"
msgstr "Käännetään kohdealustoille: %s\n"

#: rpmbuild.c:559
#, c-format
msgid "Building for target %s\n"
msgstr "Käännetään kohteelle %s\n"

#: rpmbuild.c:614 rpmqv.c:241
msgid "arguments to --root (-r) must begin with a /"
msgstr "parametrit --root (-r):lle alettava /-merkillä"

#: rpmdb.c:21
msgid "initialize database"
msgstr "alusta tietokanta"

#: rpmdb.c:23
msgid "rebuild database inverted lists from installed package headers"
msgstr "rakenna tietokanta uudestaan asennettujen pakettien tiedoista"

#: rpmdb.c:26
msgid "verify database files"
msgstr "tarkista tietokanta"

#: rpmdb.c:28
msgid "export database to stdout header list"
msgstr ""

#: rpmdb.c:31
msgid "import database from stdin header list"
msgstr ""

#: rpmdb.c:38
msgid "Database options:"
msgstr "Tietokantavalitsimet:"

#: rpmdb.c:126 rpmkeys.c:83 rpmqv.c:144 rpmsign.c:187
msgid "only one major mode may be specified"
msgstr "vain yksi päätila voidaan määritellä"

#: rpmkeys.c:20
msgid "verify package signature(s)"
msgstr "tarkista paketin allekirjoitus"

#: rpmkeys.c:22
msgid "import an armored public key"
msgstr ""

#: rpmkeys.c:24
msgid "don't import, but tell if it would work or not"
msgstr ""

#: rpmkeys.c:27 rpmkeys.c:29
msgid "list keys from RPM keyring"
msgstr ""

#: rpmkeys.c:36
msgid "Keyring options:"
msgstr ""

#: rpmkeys.c:64 rpmsign.c:162
msgid "no arguments given"
msgstr "ei annettu parametrejä"

#: rpmqv.c:40
msgid "Query/Verify package selection options:"
msgstr "Kysely/tarkistus pakettivalitsimet"

#: rpmqv.c:45
msgid "Query options (with -q or --query):"
msgstr "Kyselyvalitsimet (-q tai --query yhteydessä)"

#: rpmqv.c:50
msgid "Verify options (with -V or --verify):"
msgstr "Tarkistusvalitsimet (-V tai --verify yhteydessä)"

#: rpmqv.c:56
msgid "Install/Upgrade/Erase options:"
msgstr "Asennus-, päivitys- ja poistovalitsimet:"

#: rpmqv.c:122
msgid "one type of query/verify may be performed at a time"
msgstr "vain yhden tyyppinen kysely/tarkistus voidaan suorittaa kerralla"

#: rpmqv.c:126
msgid "unexpected query flags"
msgstr "odottamattomia kyselyvalintoja"

#: rpmqv.c:129
msgid "unexpected query format"
msgstr "odottamaton kyselyn muotoilu"

#: rpmqv.c:132
msgid "unexpected query source"
msgstr "odottamaton kyselyn lähde"

#: rpmqv.c:155
msgid "only installation and upgrading may be forced"
msgstr ""

#: rpmqv.c:157
msgid "files may only be relocated during package installation"
msgstr "tiedostoja voidaan siirtää toiselle polulle vain asennettaessa"

#: rpmqv.c:160
msgid "cannot use --prefix with --relocate or --excludepath"
msgstr "--prefix valintaa ei voi käyttää --relocate tai --excludepath kanssa"

#: rpmqv.c:163
msgid ""
"--relocate and --excludepath may only be used when installing new packages"
msgstr ""
"--relocate ja --excludepath: voidaan käyttää vain uusia paketteja "
"asennettaessa"

#: rpmqv.c:166
msgid "--prefix may only be used when installing new packages"
msgstr "--prefix: voidaan käyttää vain uusia paketteja asennettaessa"

#: rpmqv.c:169
msgid "arguments to --prefix must begin with a /"
msgstr "--prefix parametrien pitää alkaa /-merkillä"

#: rpmqv.c:172
msgid ""
"--hash (-h) may only be specified during package installation and erasure"
msgstr ""

#: rpmqv.c:176
msgid "--percent may only be specified during package installation and erasure"
msgstr ""

#: rpmqv.c:180
msgid "--replacepkgs may only be specified during package installation"
msgstr "--replacepkgs: voidaan käyttää vain paketteja asennettaessa"

#: rpmqv.c:184
msgid "--excludedocs may only be specified during package installation"
msgstr "--excludedocs: voidaan käyttää vain paketteja asennettaessa"

#: rpmqv.c:188
msgid "--includedocs may only be specified during package installation"
msgstr "--includedocs: voidaan käyttää vain paketteja asennettaessa"

#: rpmqv.c:192
msgid "only one of --excludedocs and --includedocs may be specified"
msgstr "vain toinen --excludedocs tai --includedocs voidaan antaa"

#: rpmqv.c:196
msgid "--ignorearch may only be specified during package installation"
msgstr "--ignorearch: voidaan käyttää vain paketteja asennettaessa"

#: rpmqv.c:200
msgid "--ignoreos may only be specified during package installation"
msgstr "--ignoreos: voidaan käyttää vain paketteja asennettaessa"

#: rpmqv.c:205
msgid "--ignoresize may only be specified during package installation"
msgstr "--ignoresize: voidaan käyttää vain paketteja asennettaessa"

#: rpmqv.c:209
msgid "--allmatches may only be specified during package erasure"
msgstr "--allmatches: voidaan käyttää vain paketteja poistettaessa"

#: rpmqv.c:213
msgid "--allfiles may only be specified during package installation"
msgstr "--allfiles: voidaan käyttää vain paketteja asennettaessa"

#: rpmqv.c:218
msgid "--justdb may only be specified during package installation and erasure"
msgstr ""
"--justdb: voidaan käyttää vain paketteja asennettaessa tai poistettaessa"

#: rpmqv.c:223
msgid ""
"script disabling options may only be specified during package installation "
"and erasure"
msgstr ""
"skriptien estovalintoja voidaan käyttää vain paketteja asennettaessa tai "
"poistettaessa"

#: rpmqv.c:228
msgid ""
"trigger disabling options may only be specified during package installation "
"and erasure"
msgstr ""
"laukaisimien estovalintoja voidaan käyttää vain paketteja asennettaessa tai "
"poistettaessa"

#: rpmqv.c:232
msgid ""
"--nodeps may only be specified during package installation, erasure, and "
"verification"
msgstr ""

#: rpmqv.c:236
msgid "--test may only be specified during package installation and erasure"
msgstr ""

#: rpmqv.c:258
msgid "no packages given for erase"
msgstr "poistolle ei määritelty paketteja"

#: rpmqv.c:292
msgid "no packages given for install"
msgstr "asennukselle ei määritelty paketteja"

#: rpmqv.c:304 rpmspec.c:80
msgid "no arguments given for query"
msgstr "kyselylle ei annettu parametrejä"

#: rpmqv.c:318
msgid "no arguments given for verify"
msgstr "tarkistukselle ei annettu parametrejä"

#: rpmsign.c:30
msgid "sign package(s)"
msgstr ""

#: rpmsign.c:32
msgid "sign package(s) (identical to --addsign)"
msgstr "allekirjoita paketti (hylkää nykyinen allekirjoitus)"

#: rpmsign.c:34
msgid "delete package signatures"
msgstr "poista paketin allekirjoitus"

#: rpmsign.c:37
msgid "sign package(s) files"
msgstr ""

#: rpmsign.c:39
msgid "use file signing key <key>"
msgstr ""

#: rpmsign.c:40
msgid "<key>"
msgstr ""

#: rpmsign.c:42
msgid "prompt for file signing key password"
msgstr ""

#: rpmsign.c:49
msgid "Signature options:"
msgstr "Allekirjoitusvalitsimet:"

#: rpmsign.c:101
#, c-format
msgid "You must set \"%%_gpg_name\" in your macro file\n"
msgstr "Sinun pitää asettaa \"gpg_name:\" makrotiedostossasi\n"

#: rpmsign.c:114
#, c-format
msgid ""
"You must set \"%%_file_signing_key\" in your macro file or on the command "
"line with --fskpath\n"
msgstr ""

#: rpmsign.c:167
msgid "--fskpath may only be specified when signing files"
msgstr ""

#: rpmspec.c:25
msgid "parse spec file(s) to stdout"
msgstr ""

#: rpmspec.c:27
msgid "query spec file(s)"
msgstr ""

#: rpmspec.c:29
msgid "operate on binary rpms generated by spec (default)"
msgstr ""

#: rpmspec.c:31
msgid "operate on binary rpms that would be built from spec"
msgstr ""

#: rpmspec.c:33
msgid "operate on source rpm generated by spec"
msgstr ""

#: rpmspec.c:35 lib/poptQV.c:229
msgid "use the following query format"
msgstr "käytä seuraava kyselyformaattia"

#: rpmspec.c:44
msgid "Spec options:"
msgstr ""

#: rpmspec.c:91
msgid "no arguments given for parse"
msgstr ""

#: build/build.c:120
#, c-format
msgid "Unable to open temp file: %s\n"
msgstr ""

#: build/build.c:125
#, c-format
msgid "Unable to open stream: %s\n"
msgstr ""

#: build/build.c:158
#, c-format
msgid "Executing(%s): %s\n"
msgstr "Suoritetaan(%s): %s\n"

#: build/build.c:163
#, c-format
msgid "Exec of %s failed (%s): %s\n"
msgstr "%s:n suoritus epäonnistui (%s): %s\n"

#: build/build.c:172
#, c-format
msgid "Error executing scriptlet %s (%s)\n"
msgstr ""

#: build/build.c:178
#, c-format
msgid "Bad exit status from %s (%s)\n"
msgstr ""

#: build/build.c:214
#, c-format
msgid "setting %s=%s\n"
msgstr ""

#: build/build.c:299
msgid ""
"\n"
"\n"
"RPM build errors:\n"
msgstr ""
"\n"
"RPM käännösvirheitä:\n"

#: build/expression.c:215
msgid "syntax error while parsing ==\n"
msgstr "syntaksivirhe jäsentäessä ==:aa\n"

#: build/expression.c:245
msgid "syntax error while parsing &&\n"
msgstr "syntaksivirhe jäsentäessä &&:aa\n"

#: build/expression.c:254
msgid "syntax error while parsing ||\n"
msgstr "syntaksivirhe jäsentäessä ||:aa\n"

#: build/expression.c:304
msgid "parse error in expression\n"
msgstr "jäsennysvirhe lausekkeessa\n"

#: build/expression.c:340
msgid "unmatched (\n"
msgstr "pariton (\n"

#: build/expression.c:372
msgid "- only on numbers\n"
msgstr "- vain numeroissa\n"

#: build/expression.c:388
msgid "! only on numbers\n"
msgstr "! vain numeroissa\n"

#: build/expression.c:434 build/expression.c:487 build/expression.c:550
#: build/expression.c:647
msgid "types must match\n"
msgstr "tyyppien täytyy olla yhtenevät\n"

#: build/expression.c:447
msgid "* / not suported for strings\n"
msgstr "* / ei tuettu merkkijonoille\n"

#: build/expression.c:503
msgid "- not suported for strings\n"
msgstr "- ei tuettu merkkijoinoille\n"

#: build/expression.c:660
msgid "&& and || not suported for strings\n"
msgstr "&& ja || ei tuettu merkkijoinoille\n"

#: build/expression.c:695
msgid "syntax error in expression\n"
msgstr "syntaksivirhe lausekkeessa\n"

#: build/files.c:343 build/files.c:524 build/files.c:743
#, c-format
msgid "Missing '(' in %s %s\n"
msgstr "Puuttuva '(' %s %s:ssä\n"

#: build/files.c:353 build/files.c:665 build/files.c:753 build/files.c:812
#, c-format
msgid "Missing ')' in %s(%s\n"
msgstr "puuttuva ')' %s:(%s:ssä\n"

#: build/files.c:378 build/files.c:684
#, c-format
msgid "Invalid %s token: %s\n"
msgstr "Virheellinen %s merkki: %s\n"

#: build/files.c:490
#, c-format
msgid "Missing %s in %s(%s)\n"
msgstr ""

#: build/files.c:539
#, c-format
msgid "Non-white space follows %s(): %s\n"
msgstr ""

#: build/files.c:579
#, c-format
msgid "Bad syntax: %s(%s)\n"
msgstr "Virheellinen syntaksi: %s(%s)\n"

#: build/files.c:588
#, c-format
msgid "Bad mode spec: %s(%s)\n"
msgstr "Virheellinen oikeusmäärittely %s(%s)\n"

#: build/files.c:600
#, c-format
msgid "Bad dirmode spec: %s(%s)\n"
msgstr "Virheellinen hakemisto-oikeusmäärittely %s(%s)\n"

#: build/files.c:705
#, c-format
msgid "Unusual locale length: \"%s\" in %%lang(%s)\n"
msgstr ""

#: build/files.c:712
#, c-format
msgid "Duplicate locale %s in %%lang(%s)\n"
msgstr ""

#: build/files.c:827
#, c-format
msgid "Invalid capability: %s\n"
msgstr ""

#: build/files.c:837
msgid "File capability support not built in\n"
msgstr ""

#: build/files.c:888
#, c-format
msgid "File must begin with \"/\": %s\n"
msgstr "Tiedostojen täytyy alkaa \"/\": %s\n"

#: build/files.c:1004
#, c-format
msgid "unable to parse %s=%s\n"
msgstr ""

#: build/files.c:1022
#, c-format
msgid "Unknown file digest algorithm %u, falling back to MD5\n"
msgstr ""

#: build/files.c:1074
#, c-format
msgid "File listed twice: %s\n"
msgstr "Tiedosto lueteltu kahdesti: %s\n"

#: build/files.c:1196
#, c-format
msgid "reading symlink %s failed: %s\n"
msgstr ""

#: build/files.c:1204
#, c-format
msgid "Symlink points to BuildRoot: %s -> %s\n"
msgstr "Symbolinen linkki osoittaa BuildRoot:iin: %s -> %s\n"

#: build/files.c:1346
#, c-format
msgid "Path is outside buildroot: %s\n"
msgstr ""

#: build/files.c:1386
#, c-format
msgid "Directory not found: %s\n"
msgstr ""

#: build/files.c:1387 lib/rpminstall.c:465
#, c-format
msgid "File not found: %s\n"
msgstr "Tiedostoa ei löytynyt: %s\n"

#: build/files.c:1399
#, c-format
msgid "Not a directory: %s\n"
msgstr ""

#: build/files.c:1553
#, fuzzy, c-format
msgid "Can't read content of file: %s\n"
msgstr "%s: pakettilistan luku epäonnistui: %s\n"

#: build/files.c:1594
#, c-format
msgid "%s: can't load unknown tag (%d).\n"
msgstr ""

#: build/files.c:1600
#, c-format
msgid "%s: public key read failed.\n"
msgstr "%s: julkisen avaimen luku epäonnistui\n"

#: build/files.c:1604
#, c-format
msgid "%s: not an armored public key.\n"
msgstr "%s: ei ole panssaroitu julkinen avain.\n"

#: build/files.c:1613
#, c-format
msgid "%s: failed to encode\n"
msgstr ""

#: build/files.c:1659
msgid "failed symlink"
msgstr ""

#: build/files.c:1715 build/files.c:1718
#, c-format
msgid "Duplicate build-id, stat %s: %m\n"
msgstr ""

#: build/files.c:1725
#, c-format
msgid "Duplicate build-ids %s and %s\n"
msgstr ""

#: build/files.c:1779
msgid "_build_id_links macro not set, assuming 'compat'\n"
msgstr ""

#: build/files.c:1792
#, c-format
msgid "_build_id_links macro set to unknown value '%s'\n"
msgstr ""

#: build/files.c:1881
#, c-format
msgid "error reading build-id in %s: %s\n"
msgstr ""

#: build/files.c:1885
#, c-format
msgid "Missing build-id in %s\n"
msgstr ""

#: build/files.c:1890
#, c-format
msgid "build-id found in %s too small\n"
msgstr ""

#: build/files.c:1891
#, c-format
msgid "build-id found in %s too large\n"
msgstr ""

#: build/files.c:1906 rpmio/rpmfileutil.c:606
msgid "failed to create directory"
msgstr "hakemiston luonti epäonnistui"

#: build/files.c:1924
msgid "Mixing main ELF and debug files in package"
msgstr ""

#: build/files.c:2125
#, c-format
msgid "File needs leading \"/\": %s\n"
msgstr "Tiedosto tarvitsee aloitusmerkin \"/\": %s\n"

#: build/files.c:2149
#, c-format
msgid "%%dev glob not permitted: %s\n"
msgstr ""

#: build/files.c:2161
#, c-format
msgid "Directory not found by glob: %s. Trying without globbing.\n"
msgstr ""

#: build/files.c:2163
#, c-format
msgid "File not found by glob: %s. Trying without globbing.\n"
msgstr ""

#: build/files.c:2198
#, c-format
msgid "Could not open %%files file %s: %m\n"
msgstr "%%files tiedostoa %s ei voitu avata: %m\n"

#: build/files.c:2209
#, c-format
msgid "line: %s\n"
msgstr "rivi: %s\n"

#: build/files.c:2221
#, c-format
msgid "Empty %%files file %s\n"
msgstr ""

#: build/files.c:2227
#, c-format
msgid "Error reading %%files file %s: %m\n"
msgstr ""

#: build/files.c:2250
#, c-format
msgid "illegal _docdir_fmt %s: %s\n"
msgstr ""

#: build/files.c:2372 lib/rpminstall.c:467
#, c-format
msgid "File not found by glob: %s\n"
msgstr "Tiedostoa ei löytynyt täydennyksellä: %s\n"

#: build/files.c:2459
#, c-format
msgid "Special file in generated file list: %s\n"
msgstr ""

#: build/files.c:2483
#, c-format
msgid "Can't mix special %s with other forms: %s\n"
msgstr ""

#: build/files.c:2499
#, c-format
msgid "More than one file on a line: %s\n"
msgstr ""

#: build/files.c:2568
msgid "Generating build-id links failed\n"
msgstr ""

#: build/files.c:2685
#, c-format
msgid "Bad file: %s: %s\n"
msgstr "Virheellinen tiedosto: %s: %s\n"

#: build/files.c:2753
#, c-format
msgid "Checking for unpackaged file(s): %s\n"
msgstr "Tarkistetaan paketoimattomia tiedostoja: %s\n"

#: build/files.c:2766
#, c-format
msgid ""
"Installed (but unpackaged) file(s) found:\n"
"%s"
msgstr ""
"Löytyi asennettuja (mutta paketoimattomia) tiedostoja:\n"
"%s"

#: build/files.c:2881
#, c-format
msgid "%s was mapped to multiple filenames"
msgstr ""

#: build/files.c:3130
#, c-format
msgid "Processing files: %s\n"
msgstr "Käsitellään tiedostoja: %s\n"

#: build/files.c:3152
#, c-format
msgid "Binaries arch (%d) not matching the package arch (%d).\n"
msgstr ""

#: build/files.c:3158
msgid "Arch dependent binaries in noarch package\n"
msgstr ""

#: build/pack.c:91
#, c-format
msgid "create archive failed on file %s: %s\n"
msgstr ""

#: build/pack.c:94
#, c-format
msgid "create archive failed: %s\n"
msgstr ""

#: build/pack.c:121
#, c-format
msgid "Could not open %s file: %s\n"
msgstr ""

#: build/pack.c:138
#, c-format
msgid "%s: line: %s\n"
msgstr "%s: rivi: %s\n"

#: build/pack.c:168
msgid "unable to parse SOURCE_DATE_EPOCH\n"
msgstr ""

#: build/pack.c:191
msgid "The _buildhost macro is too long\n"
msgstr ""

#: build/pack.c:198
#, c-format
msgid "Could not canonicalize hostname: %s\n"
msgstr ""

#: build/pack.c:382
#, c-format
msgid "Unknown payload compression: %s\n"
msgstr "Tuntematon kuorman pakkaus: %s\n"

#: build/pack.c:436 sign/rpmgensig.c:285 sign/rpmgensig.c:482
#: sign/rpmgensig.c:505 sign/rpmgensig.c:577 sign/rpmgensig.c:601
#: sign/rpmgensig.c:764 sign/rpmgensig.c:799
#, c-format
msgid "Could not seek in file %s: %s\n"
msgstr ""

#: build/pack.c:462
#, fuzzy, c-format
msgid "Failed to read %jd bytes in file %s: %s\n"
msgstr "Spec-tiedoston avaaminen %s:sta epäonnistui\n"

#: build/pack.c:476
msgid "Unable to create immutable header region\n"
msgstr ""

#: build/pack.c:481
#, c-format
msgid "Unable to write header to %s: %s\n"
msgstr ""

#: build/pack.c:548
#, c-format
msgid "Could not open %s: %s\n"
msgstr "%s:aa ei voitu avata: %s\n"

#: build/pack.c:555
#, c-format
msgid "Unable to write package: %s\n"
msgstr "Pakettia ei voitu kirjoittaa: %s\n"

#: build/pack.c:639
#, c-format
msgid "Wrote: %s\n"
msgstr "Kirjoitettiin: %s\n"

#: build/pack.c:658
#, c-format
msgid "Executing \"%s\":\n"
msgstr "Suoritetaan \"%s\":\n"

#: build/pack.c:661
#, c-format
msgid "Execution of \"%s\" failed.\n"
msgstr "%s:n suoritus epäonnistui.\n"

#: build/pack.c:665
#, c-format
msgid "Package check \"%s\" failed.\n"
msgstr "Paketin tarkistus \"%s\" epäonnistui.\n"

#: build/pack.c:712
#, c-format
msgid "Could not generate output filename for package %s: %s\n"
msgstr "Tiedostonimen muodostus paketille %s ei onnistu: %s\n"

#: build/pack.c:729
#, c-format
msgid "cannot create %s: %s\n"
msgstr "%s:n luonti ei onnistu: %s\n"

#: build/parseBuildInstallClean.c:35 build/parsePreamble.c:704
#, c-format
msgid "line %d: second %s\n"
msgstr "rivi %d: toinen %s\n"

#: build/parseChangelog.c:183
#, c-format
msgid "bogus date in %%changelog: %s\n"
msgstr ""

#: build/parseChangelog.c:216
#, c-format
msgid "%%changelog entries must start with *\n"
msgstr "%%changelog merkintöjen täytyy alkaa *:llä\n"

#: build/parseChangelog.c:224
#, c-format
msgid "incomplete %%changelog entry\n"
msgstr "epätäydellinen merkintä %%changelog:issa\n"

#: build/parseChangelog.c:235
#, c-format
msgid "bad date in %%changelog: %s\n"
msgstr "virheellinen päivämäärä %%changelog:issa: %s\n"

#: build/parseChangelog.c:240
#, c-format
msgid "%%changelog not in descending chronological order\n"
msgstr "%%changelog ei ole kronologisessa järjestyksessä\n"

#: build/parseChangelog.c:252 build/parseChangelog.c:263
#, c-format
msgid "missing name in %%changelog\n"
msgstr "puuttuva nimi %%changelog:issa\n"

#: build/parseChangelog.c:270
#, c-format
msgid "no description in %%changelog\n"
msgstr "ei kuvausta %%changelog:issa\n"

#: build/parseChangelog.c:307
#, c-format
msgid "line %d: second %%changelog\n"
msgstr ""

#: build/parseDescription.c:32
#, c-format
msgid "line %d: Error parsing %%description: %s\n"
msgstr "rivi %d: virhe jäsennettäessä %%description-osiota %s\n"

#: build/parseDescription.c:45 build/parseFiles.c:46 build/parsePolicies.c:45
#: build/parseScript.c:321
#, c-format
msgid "line %d: Bad option %s: %s\n"
msgstr "rivi %d: virheellinen valinta %s: %s\n"

#: build/parseDescription.c:56 build/parseFiles.c:57 build/parsePolicies.c:55
#: build/parseScript.c:332
#, c-format
msgid "line %d: Too many names: %s\n"
msgstr "rivi %d: liikaa nimiä: %s\n"

#: build/parseFiles.c:33
#, c-format
msgid "line %d: Error parsing %%files: %s\n"
msgstr "rivi %d: virhe jäsennettäessä %%files-osiota: %s\n"

#: build/parseFiles.c:73
#, c-format
msgid "line %d: multiple %%files for package '%s'\n"
msgstr ""

#: build/parsePolicies.c:32
#, c-format
msgid "line %d: Error parsing %%policies: %s\n"
msgstr ""

#: build/parsePreamble.c:69
#, c-format
msgid "Error parsing tag field: %s\n"
msgstr ""

#: build/parsePreamble.c:162
#, c-format
msgid "line %d: Bad number: %s\n"
msgstr "rivi %d: virheellinen numero: %s\n"

#: build/parsePreamble.c:168
#, c-format
msgid "line %d: Bad no%s number: %u\n"
msgstr ""

#: build/parsePreamble.c:231
#, c-format
msgid "line %d: Bad %s number: %s\n"
msgstr ""

#: build/parsePreamble.c:245
#, c-format
msgid "%s %d defined multiple times\n"
msgstr "%s %d määritelty useita kertoja\n"

#: build/parsePreamble.c:290
#, c-format
msgid "Downloading %s to %s\n"
msgstr ""

#: build/parsePreamble.c:293
#, c-format
msgid "Couldn't download %s\n"
msgstr ""

#: build/parsePreamble.c:437
#, c-format
msgid "Architecture is excluded: %s\n"
msgstr "Arkkitehtuuri on poissuljettu: %s\n"

#: build/parsePreamble.c:442
#, c-format
msgid "Architecture is not included: %s\n"
msgstr "Arkkitehtuuri ei ole mukaanluettu: %s\n"

#: build/parsePreamble.c:447
#, c-format
msgid "OS is excluded: %s\n"
msgstr "Käyttöjärjestelmä on poissuljettu: %s\n"

#: build/parsePreamble.c:452
#, c-format
msgid "OS is not included: %s\n"
msgstr "Käyttöjärjestelmä ei ole mukaanluettu: %s\n"

#: build/parsePreamble.c:478
#, c-format
msgid "%s field must be present in package: %s\n"
msgstr "kenttä %s on vaadittu kenttä paketissa: %s\n"

#: build/parsePreamble.c:501
#, c-format
msgid "Duplicate %s entries in package: %s\n"
msgstr "Useita %s-merkintöjä paketissa: %s\n"

#: build/parsePreamble.c:567
#, c-format
msgid "Unable to open icon %s: %s\n"
msgstr "Ikonia %s ei voida avata: %s\n"

#: build/parsePreamble.c:583
#, c-format
msgid "Unable to read icon %s: %s\n"
msgstr "Ikonia %s ei voida lukea: %s\n"

#: build/parsePreamble.c:593
#, c-format
msgid "Unknown icon type: %s\n"
msgstr "Tuntematon ikonityyppi: %s\n"

#: build/parsePreamble.c:607
#, c-format
msgid "line %d: Tag takes single token only: %s\n"
msgstr ""

#: build/parsePreamble.c:615
#, c-format
msgid "line %d: %s in: %s\n"
msgstr ""

#: build/parsePreamble.c:617
#, c-format
msgid "%s in: %s\n"
msgstr ""

#: build/parsePreamble.c:636
#, c-format
msgid "Illegal char '%c' (0x%x)"
msgstr ""

#: build/parsePreamble.c:642
msgid "Possible unexpanded macro"
msgstr ""

#: build/parsePreamble.c:648
msgid "Illegal sequence \"..\""
msgstr ""

#: build/parsePreamble.c:736
#, c-format
msgid "line %d: Malformed tag: %s\n"
msgstr ""

#: build/parsePreamble.c:744
#, c-format
msgid "line %d: Empty tag: %s\n"
msgstr ""

#: build/parsePreamble.c:805
#, c-format
msgid "line %d: Prefixes must not end with \"/\": %s\n"
msgstr ""

#: build/parsePreamble.c:817
#, c-format
msgid "line %d: Docdir must begin with '/': %s\n"
msgstr ""

#: build/parsePreamble.c:830
#, c-format
msgid "line %d: Epoch field must be an unsigned number: %s\n"
msgstr "rivi %d: Epoch-kentän täytyy olla etumerkitön numero: %s\n"

#: build/parsePreamble.c:867
#, c-format
msgid "line %d: Bad %s: qualifiers: %s\n"
msgstr ""

#: build/parsePreamble.c:901
#, c-format
msgid "line %d: Bad BuildArchitecture format: %s\n"
msgstr "rivi %d: virheellinen käännösarkkitehtuurin muoto: %s\n"

#: build/parsePreamble.c:908
#, c-format
msgid "line %d: Duplicate BuildArch entry: %s\n"
msgstr ""

#: build/parsePreamble.c:918
#, c-format
msgid "line %d: Only noarch subpackages are supported: %s\n"
msgstr ""

#: build/parsePreamble.c:933
#, c-format
msgid "Internal error: Bogus tag %d\n"
msgstr ""

#: build/parsePreamble.c:1031
#, c-format
msgid "line %d: %s is deprecated: %s\n"
msgstr ""

#: build/parsePreamble.c:1093
#, c-format
msgid "Bad package specification: %s\n"
msgstr "Virheellinen pakettimäärittely: %s\n"

#: build/parsePreamble.c:1138
msgid "Binary rpm package found. Expected spec file!\n"
msgstr ""

#: build/parsePreamble.c:1141
#, c-format
msgid "line %d: Unknown tag: %s\n"
msgstr "rivi %d: tuntematon nimiö: %s\n"

#: build/parsePreamble.c:1176
#, c-format
msgid "%%{buildroot} couldn't be empty\n"
msgstr "%%{buildroot} ei voi olla tyhjä\n"

#: build/parsePreamble.c:1180
#, c-format
msgid "%%{buildroot} can not be \"/\"\n"
msgstr "%%{buildroot} ei voi olla \"/\"\n"

#: build/parsePrep.c:29
#, c-format
msgid "Bad source: %s: %s\n"
msgstr "Virheellinen lähde: %s: %s\n"

#: build/parsePrep.c:74
#, c-format
msgid "No patch number %u\n"
msgstr "Ei patchia numero %u\n"

#: build/parsePrep.c:76
#, c-format
msgid "%%patch without corresponding \"Patch:\" tag\n"
msgstr ""

#: build/parsePrep.c:164
#, c-format
msgid "No source number %u\n"
msgstr "Ei lähdettä numero %u\n"

#: build/parsePrep.c:166
msgid "No \"Source:\" tag in the spec file\n"
msgstr ""

#: build/parsePrep.c:299
#, c-format
msgid "Error parsing %%setup: %s\n"
msgstr "Virhe jäsennettäessä %%setup-osiota: %s\n"

#: build/parsePrep.c:310
#, c-format
msgid "line %d: Bad arg to %%setup: %s\n"
msgstr "rivi %d: virheellinen argumentti %%setup:ille: %s\n"

#: build/parsePrep.c:326
#, c-format
msgid "line %d: Bad %%setup option %s: %s\n"
msgstr "rivi %d: virheellinen %%setup valitsin %s: %s\n"

#: build/parsePrep.c:495
#, c-format
msgid "%s: %s: %s\n"
msgstr "%s: %s: %s\n"

#: build/parsePrep.c:508
#, c-format
msgid "Invalid patch number %s: %s\n"
msgstr "Virheellinen patch-numero %s: %s\n"

#: build/parsePrep.c:535
#, c-format
msgid "line %d: second %%prep\n"
msgstr "rivi %d: toinen %%prep-osio\n"

#: build/parseReqs.c:52
msgid "Dependency tokens must begin with alpha-numeric, '_' or '/'"
msgstr ""

#: build/parseReqs.c:57
msgid "Versioned file name not permitted"
msgstr ""

#: build/parseReqs.c:222
msgid "No rich dependencies allowed for this type"
msgstr ""

#: build/parseReqs.c:232 build/parseReqs.c:315
msgid "invalid dependency"
msgstr ""

#: build/parseReqs.c:267 lib/rpmds.c:1473
msgid "Version required"
msgstr ""

#: build/parseReqs.c:282
msgid "Only package names are allowed in Obsoletes"
msgstr ""

#: build/parseReqs.c:291
msgid "Only absolute paths are allowed in file triggers"
msgstr ""

#: build/parseReqs.c:304
msgid "Trigger fired by the same package is already defined in spec file"
msgstr ""

#: build/parseReqs.c:332
#, c-format
msgid "line %d: %s: %s\n"
msgstr ""

#: build/parseScript.c:263
#, c-format
msgid "line %d: triggers must have --: %s\n"
msgstr "rivi %d: laukaisimissa pitää olla --: %s\n"

#: build/parseScript.c:271
#, c-format
msgid "line %d: missing trigger condition: %s\n"
msgstr ""

#: build/parseScript.c:281 build/parseScript.c:351
#, c-format
msgid "line %d: Error parsing %s: %s\n"
msgstr "rivi %d: virhe jäsennettäessä %s:ää: %s\n"

#: build/parseScript.c:293
#, c-format
msgid "line %d: internal script must end with '>': %s\n"
msgstr "rivi %d: sisäisen skriptin täytyy päättyä '>':n: %s\n"

#: build/parseScript.c:299
#, c-format
msgid "line %d: script program must begin with '/': %s\n"
msgstr "rivi %d: skriptitulkin täytyy alkaa '/':lla: %s\n"

#: build/parseScript.c:313
#, c-format
msgid "line %d: Priorities are allowed only for file triggers : %s\n"
msgstr ""

#: build/parseScript.c:344
#, c-format
msgid "line %d: Second %s\n"
msgstr "rivi %d: toinen %s\n"

#: build/parseScript.c:386
#, c-format
msgid "line %d: unsupported internal script: %s\n"
msgstr ""

#: build/parseScript.c:404
#, c-format
msgid "line %d: file trigger condition must begin with '/': %s"
msgstr ""

#: build/parseScript.c:410
#, c-format
msgid "line %d: interpreter arguments not allowed in triggers: %s\n"
msgstr ""

#: build/parseSpec.c:190
#, c-format
msgid "line %d: %s\n"
msgstr "rivi %d: %s:\n"

#: build/parseSpec.c:212
#, c-format
msgid "Macro expanded in comment on line %d: %s\n"
msgstr ""

#: build/parseSpec.c:317
#, c-format
msgid "Unable to open %s: %s\n"
msgstr "Ei voi avata %s:ää: %s\n"

#: build/parseSpec.c:351
#, c-format
msgid "%s:%d: Argument expected for %s\n"
msgstr ""

#: build/parseSpec.c:373
#, c-format
msgid "line %d: Unclosed %%if\n"
msgstr ""

#: build/parseSpec.c:378
#, c-format
msgid "line %d: unclosed macro or bad line continuation\n"
msgstr ""

#: build/parseSpec.c:420
#, c-format
msgid "%s:%d: bad %%if condition\n"
msgstr ""

#: build/parseSpec.c:428
#, c-format
msgid "%s:%d: Got a %%else with no %%if\n"
msgstr "%s:%d: %%else ilman %%if:iä\n"

#: build/parseSpec.c:439
#, c-format
msgid "%s:%d: Got a %%endif with no %%if\n"
msgstr "%s:%d: %%endif ilman %%if:iä\n"

#: build/parseSpec.c:460
#, c-format
msgid "%s:%d: malformed %%include statement\n"
msgstr ""

#: build/parseSpec.c:646
#, c-format
msgid "encoding %s not supported by system\n"
msgstr ""

#: build/parseSpec.c:675
#, c-format
msgid "Package %s: invalid %s encoding in %s: %s - %s\n"
msgstr ""

#: build/parseSpec.c:711
#, c-format
msgid "line %d: %%end doesn't take any arguments: %s\n"
msgstr ""

#: build/parseSpec.c:718
#, c-format
msgid "line %d: %%end not expected here, no section to close: %s\n"
msgstr ""

#: build/parseSpec.c:734
#, c-format
msgid "line %d doesn't belong to any section: %s\n"
msgstr ""

#: build/parseSpec.c:879
msgid "No compatible architectures found for build\n"
msgstr "Ei yhteensopivia arkkitehtureeja käännökselle\n"

#: build/parseSpec.c:913
#, c-format
msgid "Package has no %%description: %s\n"
msgstr "Paketissa ei ole %%description-osiota: %s\n"

#: build/policies.c:87
#, c-format
msgid "Policy module '%s' duplicated with overlapping types\n"
msgstr ""

#: build/policies.c:93
#, c-format
msgid "Base modules '%s' and '%s' have overlapping types\n"
msgstr ""

#: build/policies.c:101
msgid "Failed to get policies from header\n"
msgstr ""

#: build/policies.c:154
#, c-format
msgid "%%semodule requires a file path\n"
msgstr ""

#: build/policies.c:163
#, c-format
msgid "Failed to read  policy file: %s\n"
msgstr ""

#: build/policies.c:170
#, c-format
msgid "Failed to encode policy file: %s\n"
msgstr ""

#: build/policies.c:187
#, c-format
msgid "Failed to determine a policy name: %s\n"
msgstr ""

#: build/policies.c:199
#, c-format
msgid ""
"'%s' type given with other types in %%semodule %s. Compacting types to "
"'%s'.\n"
msgstr ""

#: build/policies.c:246
#, c-format
msgid "Error parsing %s: %s\n"
msgstr ""

#: build/policies.c:252
#, c-format
msgid "Expecting %%semodule tag: %s\n"
msgstr ""

#: build/policies.c:262
#, c-format
msgid "Missing module path in line: %s\n"
msgstr ""

#: build/policies.c:268
#, c-format
msgid "Too many arguments in line: %s\n"
msgstr ""

#: build/policies.c:307
#, c-format
msgid "Processing policies: %s\n"
msgstr ""

#: build/rpmfc.c:160
#, c-format
msgid "Ignoring invalid regex %s\n"
msgstr ""

#: build/rpmfc.c:266
#, c-format
msgid "Couldn't create pipe for %s: %m\n"
msgstr "Ei voitu luoda putkea %s:lle: %m\n"

#: build/rpmfc.c:289
#, c-format
msgid "Couldn't exec %s: %s\n"
msgstr "Ei voitu suorittaa %s:ää: %s\n"

#: build/rpmfc.c:294 lib/rpmscript.c:309
#, c-format
msgid "Couldn't fork %s: %s\n"
msgstr "Ei voitu suorittaa %s:ää: %s\n"

#: build/rpmfc.c:377
#, c-format
msgid "%s failed: %x\n"
msgstr ""

#: build/rpmfc.c:381
#, c-format
msgid "failed to write all data to %s: %s\n"
msgstr ""

#: build/rpmfc.c:1032
msgid "Empty file classifier\n"
msgstr ""

#: build/rpmfc.c:1041
msgid "No file attributes configured\n"
msgstr ""

#: build/rpmfc.c:1060
#, c-format
msgid "magic_open(0x%x) failed: %s\n"
msgstr "magic_open(0x%x) epäonnistui: %s\n"

#: build/rpmfc.c:1066
#, c-format
msgid "magic_load failed: %s\n"
msgstr "magic_load epäonnistui: %s\n"

#: build/rpmfc.c:1108
#, c-format
msgid "Recognition of file \"%s\" failed: mode %06o %s\n"
msgstr "Tiedoston \"%s\" tunnistaminen epäonnistui: moodi %06o %s\n"

#: build/rpmfc.c:1309
#, c-format
msgid "Finding  %s: %s\n"
msgstr "Etsitään %s:ää: %s\n"

#: build/rpmfc.c:1318 build/rpmfc.c:1327
#, c-format
msgid "Failed to find %s:\n"
msgstr "%s:ää ei löytynyt\n"

#: build/rpmfc.c:1344
msgid "Deprecated external dependency generator is used!\n"
msgstr ""

#: build/spec.c:92
#, c-format
msgid "line %d: %s: package %s does not exist\n"
msgstr ""

#: build/spec.c:95
#, c-format
msgid "line %d: %s: package %s already exists\n"
msgstr ""

#: build/spec.c:469
#, c-format
msgid "query of specfile %s failed, can't parse\n"
msgstr "määrittelytiedoston %s kysely epäonnistui\n"

#: lib/backend/db3.c:97
#, c-format
msgid "%s error(%d) from %s: %s\n"
msgstr ""

#: lib/backend/db3.c:100
#, c-format
msgid "%s error(%d): %s\n"
msgstr ""

#: lib/backend/db3.c:288
#, c-format
msgid "unrecognized db option: \"%s\" ignored.\n"
msgstr ""

#: lib/backend/db3.c:325
#, c-format
msgid "%s has invalid numeric value, skipped\n"
msgstr ""

#: lib/backend/db3.c:334
#, c-format
msgid "%s has too large or too small long value, skipped\n"
msgstr ""

#: lib/backend/db3.c:343
#, c-format
msgid "%s has too large or too small integer value, skipped\n"
msgstr ""

#: lib/backend/db3.c:808
#, c-format
msgid "cannot get %s lock on %s/%s\n"
msgstr "en saa %s lukitusta tietokantaan %s/%s\n"

#: lib/backend/db3.c:810
msgid "shared"
msgstr "jaettua"

#: lib/backend/db3.c:810
msgid "exclusive"
msgstr "poissulkevaa"

#: lib/backend/db3.c:892
#, c-format
msgid "invalid index type %x on %s/%s\n"
msgstr ""

#: lib/backend/db3.c:1068
#, c-format
msgid "error(%d) getting \"%s\" records from %s index: %s\n"
msgstr ""

#: lib/backend/db3.c:1098
#, c-format
msgid "error(%d) storing record \"%s\" into %s\n"
msgstr "virhe(%d) tallennettaessa tietuetta %s %s:ään\n"

#: lib/backend/db3.c:1106
#, c-format
msgid "error(%d) removing record \"%s\" from %s\n"
msgstr "virhe(%d) poistettaessa tietuetta %s %s:stä\n"

#: lib/backend/db3.c:1208
#, c-format
msgid "error(%d) adding header #%d record\n"
msgstr "virhe(%d) lisättäessä otsikkon #%d tietuetta\n"

#: lib/backend/db3.c:1217
#, c-format
msgid "error(%d) removing header #%d record\n"
msgstr "virhe(%d) poistettaessa otsikon #%d tietuetta\n"

#: lib/backend/db3.c:1272
#, c-format
msgid "error(%d) allocating new package instance\n"
msgstr "virhe(%d) varattaessa uutta paketti-instanssia\n"

#: lib/backend/dbi.c:64
#, c-format
msgid ""
"Found LMDB data.mdb database while attempting %s backend: using lmdb "
"backend.\n"
msgstr ""

#: lib/backend/dbi.c:73
#, c-format
msgid ""
"Found NDB Packages.db database while attempting %s backend: using ndb "
"backend.\n"
msgstr ""

#: lib/backend/dbi.c:81
#, c-format
msgid ""
"Found BDB Packages database while attempting %s backend: using bdb backend.\n"
msgstr ""

#: lib/depends.c:93
#, c-format
msgid "%s is a Delta RPM and cannot be directly installed\n"
msgstr "%s on Delta RPM eikä sitä voida suoraan asentaa\n"

#: lib/depends.c:97
#, c-format
msgid "Unsupported payload (%s) in package %s\n"
msgstr "Tuntematon kuorma (%s) paketissa %s\n"

#: lib/depends.c:378
#, c-format
msgid "package %s was already added, skipping %s\n"
msgstr "paketti %s on jo lisätty, ohitetaan %s\n"

#: lib/depends.c:379
#, c-format
msgid "package %s was already added, replacing with %s\n"
msgstr "paketti %s oli jo lisätty, korvataan %s:lla\n"

#: lib/formats.c:42
msgid "(not a blob)"
msgstr "(ei ole binääridataa)"

#: lib/formats.c:43
msgid "(not a number)"
msgstr "(ei ole luku)"

#: lib/formats.c:44
msgid "(not a string)"
msgstr "(ei ole merkkijono)"

#: lib/formats.c:47 lib/formats.c:151 lib/formats.c:267
msgid "(invalid type)"
msgstr "(virheellinen tyyppi)"

#: lib/formats.c:116
#, c-format
msgid "%c"
msgstr ""

#: lib/formats.c:122
msgid "%a %b %d %Y"
msgstr ""

#: lib/formats.c:253
msgid "(not base64)"
msgstr "(ei ole base64)"

#: lib/formats.c:313
msgid "(invalid xml type)"
msgstr "(virheellinen xml-tyyppi)"

#: lib/formats.c:358
msgid "(not an OpenPGP signature)"
msgstr "(ei ole OpenPGP-allekirjoitus)"

#: lib/formats.c:369
#, c-format
msgid "Invalid date %u"
msgstr ""

#: lib/formats.c:417
msgid "normal"
msgstr "normaali"

#: lib/formats.c:420 lib/verify.c:354
msgid "replaced"
msgstr "korvattu"

#: lib/formats.c:423 lib/verify.c:348
msgid "not installed"
msgstr "ei asennettu"

#: lib/formats.c:426 lib/verify.c:350
msgid "net shared"
msgstr "verkkojaettu"

#: lib/formats.c:429 lib/verify.c:352
msgid "wrong color"
msgstr "väärä väri"

#: lib/formats.c:432
msgid "missing"
msgstr ""

#: lib/formats.c:435
msgid "(unknown)"
msgstr "(tuntematon)"

#: lib/fsm.c:749
#, c-format
msgid "%s saved as %s\n"
msgstr "%s talletettiin %s:nä\n"

#: lib/fsm.c:802
#, c-format
msgid "%s created as %s\n"
msgstr "%s luotu %s:na\n"

#: lib/fsm.c:1086
#, c-format
msgid "%s %s: remove failed: %s\n"
msgstr ""

#: lib/fsm.c:1087
msgid "directory"
msgstr ""

#: lib/fsm.c:1087
msgid "file"
msgstr ""

#: lib/header.c:310
#, c-format
msgid "tag[%d]: BAD, tag %d type %d offset %d count %d len %d"
msgstr ""

#: lib/header.c:978
msgid "hdr load: BAD"
msgstr ""

#: lib/header.c:1800
msgid "region: no tags"
msgstr ""

#: lib/header.c:1822
#, c-format
msgid "region tag: BAD, tag %d type %d offset %d count %d"
msgstr ""

#: lib/header.c:1830
#, c-format
msgid "region offset: BAD, tag %d type %d offset %d count %d"
msgstr ""

#: lib/header.c:1852
#, c-format
msgid "region trailer: BAD, tag %d type %d offset %d count %d"
msgstr ""

#: lib/header.c:1861
#, c-format
msgid "region %d size: BAD, ril %d il %d rdl %d dl %d"
msgstr ""

#: lib/header.c:1869
#, c-format
msgid "region %d: tag number mismatch il %d ril %d dl %d rdl %d\n"
msgstr ""

#: lib/header.c:1919
#, c-format
msgid "hdr size(%d): BAD, read returned %d"
msgstr ""

#: lib/header.c:1923
msgid "hdr magic: BAD"
msgstr ""

#: lib/header.c:1928
#, c-format
msgid "hdr tags: BAD, no. of tags(%d) out of range"
msgstr ""

#: lib/header.c:1933
#, c-format
msgid "hdr data: BAD, no. of bytes(%d) out of range"
msgstr ""

#: lib/header.c:1943
#, c-format
msgid "hdr blob(%zd): BAD, read returned %d"
msgstr ""

#: lib/header.c:1952
#, c-format
msgid "sigh pad(%zd): BAD, read %zd bytes"
msgstr ""

#: lib/header.c:1965
msgid "signature "
msgstr ""

#: lib/header.c:1992
#, c-format
msgid "blob size(%d): BAD, 8 + 16 * il(%d) + dl(%d)"
msgstr ""

#: lib/headerfmt.c:356
msgid "invalid field width"
msgstr ""

#: lib/headerfmt.c:362
#, c-format
msgid "missing { after %%"
msgstr ""

#: lib/headerfmt.c:384
#, c-format
msgid "missing } after %%{"
msgstr ""

#: lib/headerfmt.c:395
msgid "empty tag format"
msgstr "tyhjä nimiön formaatti"

#: lib/headerfmt.c:406
msgid "empty tag name"
msgstr "tyhjä nimiön nimi"

#: lib/headerfmt.c:413
#, c-format
msgid "unknown tag: \"%s\""
msgstr ""

#: lib/headerfmt.c:433
msgid "] expected at end of array"
msgstr "']' puuttuu taulukkomäärittelyn lopusta"

#: lib/headerfmt.c:445
msgid "unexpected ]"
msgstr "odottamaton ']'"

#: lib/headerfmt.c:455
msgid "unexpected }"
msgstr "odottamaton '}'"

#: lib/headerfmt.c:473
msgid "escaped char expected after \\"
msgstr ""

#: lib/headerfmt.c:515
msgid "? expected in expression"
msgstr "odotin '?'-merkkiä ilmauksessa"

#: lib/headerfmt.c:522
msgid "{ expected after ? in expression"
msgstr "odotin '{' '?'-merkin jälkeen lausekkeessa"

#: lib/headerfmt.c:534 lib/headerfmt.c:574
msgid "} expected in expression"
msgstr "odotin '}'-merkkiä lausekkeessa"

#: lib/headerfmt.c:542
msgid ": expected following ? subexpression"
msgstr "odotin ':' '?'-merkin jälkeen ali-lausekkeessa "

#: lib/headerfmt.c:560
msgid "{ expected after : in expression"
msgstr "odotin '{' ':'-merkin jälkeen lausekkeessa "

#: lib/headerfmt.c:582
msgid "| expected at end of expression"
msgstr "odotin '}'-merkkiä ilmauksen lopussa"

#: lib/headerfmt.c:757
msgid "array iterator used with different sized arrays"
msgstr ""

#: lib/poptALL.c:141
#, fuzzy, c-format
msgid "arguments to --dbpath must begin with '/'\n"
msgstr "--prefix parametrien pitää alkaa /-merkillä"

#: lib/poptALL.c:162
#, c-format
msgid ""
"%s: error: more than one --pipe specified (incompatible popt aliases?)\n"
msgstr ""

#: lib/poptALL.c:201
msgid "predefine MACRO with value EXPR"
msgstr ""

#: lib/poptALL.c:202 lib/poptALL.c:205
msgid "'MACRO EXPR'"
msgstr ""

#: lib/poptALL.c:204
msgid "define MACRO with value EXPR"
msgstr ""

#: lib/poptALL.c:207
msgid "undefine MACRO"
msgstr ""

#: lib/poptALL.c:208
msgid "MACRO"
msgstr ""

#: lib/poptALL.c:210
msgid "print macro expansion of EXPR"
msgstr ""

#: lib/poptALL.c:211
msgid "'EXPR'"
msgstr ""

#: lib/poptALL.c:213
msgid "Specify target platform"
msgstr ""

#: lib/poptALL.c:213
msgid "CPU-VENDOR-OS"
msgstr ""

#: lib/poptALL.c:215 lib/poptALL.c:234
msgid "read <FILE:...> instead of default file(s)"
msgstr "lue <TIEDOSTO:...> vakiotiedostojen sijaan"

#: lib/poptALL.c:216 lib/poptALL.c:235
msgid "<FILE:...>"
msgstr "<TIEDOSTO:...>"

#: lib/poptALL.c:221
msgid "don't enable any plugins"
msgstr ""

#: lib/poptALL.c:224
msgid "don't verify package digest(s)"
msgstr "älä tarkista pakettien tarkistussummia"

#: lib/poptALL.c:226
msgid "don't verify database header(s) when retrieved"
msgstr "älä tarkista otsikkotietoja haettaessa tietokanssata"

#: lib/poptALL.c:228
msgid "don't verify package signature(s)"
msgstr "älä tarkista paketin allekirjoitusta"

#: lib/poptALL.c:231
msgid "send stdout to CMD"
msgstr "lähetä vakiotuloste <komento>:lle"

#: lib/poptALL.c:232
msgid "CMD"
msgstr ""

#: lib/poptALL.c:237
msgid "use ROOT as top level directory"
msgstr "käytä <hakem> ylimpänä hakemistona"

#: lib/poptALL.c:238
msgid "ROOT"
msgstr ""

#: lib/poptALL.c:240
msgid "use database in DIRECTORY"
msgstr ""

#: lib/poptALL.c:241
msgid "DIRECTORY"
msgstr ""

#: lib/poptALL.c:244
msgid "display known query tags"
msgstr "näytä tunnetut kyselymuodot"

#: lib/poptALL.c:246
msgid "display final rpmrc and macro configuration"
msgstr "näytä lopullinen rpmrc ja makro-konfiguraatio"

#: lib/poptALL.c:248
msgid "provide less detailed output"
msgstr "tulosta vähemmän yksityiskohtia"

#: lib/poptALL.c:250
msgid "provide more detailed output"
msgstr "tulosta enemmän yksityiskohtia"

#: lib/poptALL.c:252
msgid "print the version of rpm being used"
msgstr "tulosta käytetyn rpm:n versio"

#: lib/poptALL.c:258
msgid "debug payload file state machine"
msgstr ""

#: lib/poptALL.c:264
msgid "debug rpmio I/O"
msgstr ""

#: lib/poptALL.c:323
#, c-format
msgid "%s: option table misconfigured (%d)\n"
msgstr ""

#: lib/poptI.c:52
msgid "exclude paths must begin with a /"
msgstr ""

#: lib/poptI.c:64
msgid "relocations must begin with a /"
msgstr "siirtojen pitää alkaa /-merkillä"

#: lib/poptI.c:67
msgid "relocations must contain a ="
msgstr "siirroissa pitää olla =-merkki"

#: lib/poptI.c:70
msgid "relocations must have a / following the ="
msgstr "siirroissa pitää olla / =-merkin jälkeen"

#: lib/poptI.c:118
msgid "install all files, even configurations which might otherwise be skipped"
msgstr ""
"asenna kaikki tiedostot, myös konfiguraatiot, jotka muuten ehkä ohitettaisiin"

#: lib/poptI.c:122
msgid ""
"remove all packages which match <package> (normally an error is generated if "
"<package> specified multiple packages)"
msgstr ""
"poista kaikki paketit, joiden nimeä vastaa  <paketti> (tavallisesti, jos  "
"<paketti> määrittää useita paketteja, tulee virhe)"

#: lib/poptI.c:127
msgid "relocate files in non-relocatable package"
msgstr ""

#: lib/poptI.c:131
msgid "print dependency loops as warning"
msgstr ""

#: lib/poptI.c:135
msgid "erase (uninstall) package"
msgstr "poista paketti"

#: lib/poptI.c:135
msgid "<package>+"
msgstr ""

#: lib/poptI.c:138 lib/poptI.c:178
msgid "do not install configuration files"
msgstr "älä asenna konfigurointiedostoja"

#: lib/poptI.c:141 lib/poptI.c:183
msgid "do not install documentation"
msgstr "älä asenna dokumentointia"

#: lib/poptI.c:143
msgid "skip files with leading component <path> "
msgstr "ohita <polku>-alkuiset tiedostot"

#: lib/poptI.c:144
msgid "<path>"
msgstr "<polku>"

#: lib/poptI.c:147
msgid "short hand for --replacepkgs --replacefiles"
msgstr "lyhenne parametreille --replacepkgs --replacefiles"

#: lib/poptI.c:151
msgid "upgrade package(s) if already installed"
msgstr "päivitä vain jo asennetut paketit"

#: lib/poptI.c:152 lib/poptI.c:171 lib/poptI.c:260 lib/poptI.c:264
msgid "<packagefile>+"
msgstr "<pakettitiedosto>+"

#: lib/poptI.c:154
msgid "print hash marks as package installs (good with -v)"
msgstr "tulosta risuaitaa paketin asentuessa (-v:n kanssa hyvä)"

#: lib/poptI.c:157
msgid "don't verify package architecture"
msgstr "älä tarkista paketin arkkitehtuuria"

#: lib/poptI.c:160
msgid "don't verify package operating system"
msgstr "älä tarkista paketin käyttöjärjestelmää"

#: lib/poptI.c:163
msgid "don't check disk space before installing"
msgstr "älä tarkista levytilaa ennen asennusta"

#: lib/poptI.c:166
#, fuzzy
msgid "short hand for --ignorepayload --ignoresignature"
msgstr "lyhenne parametreille --replacepkgs --replacefiles"

#: lib/poptI.c:168
msgid "install documentation"
msgstr "asenna dokumentaatio"

#: lib/poptI.c:171
msgid "install package(s)"
msgstr "asenna paketteja"

#: lib/poptI.c:174
msgid "update the database, but do not modify the filesystem"
msgstr "päivitä tietokanta, mutta älä muuta tiedostojärjestelmää"

#: lib/poptI.c:180
msgid "do not verify package dependencies"
msgstr "älä tarkista paketin riippuvuuksia"

#: lib/poptI.c:186 lib/poptQV.c:244 lib/poptQV.c:246
msgid "don't verify digest of files"
msgstr "älä tarkista tiedostojen tarkistussummia"

#: lib/poptI.c:188
msgid "don't verify digest of files (obsolete)"
msgstr "älä tarkista tiedostojen tarkistussummia"

#: lib/poptI.c:190
msgid "don't install file security contexts"
msgstr ""

#: lib/poptI.c:192
msgid "don't install file capabilities"
msgstr ""

#: lib/poptI.c:196
msgid "do not reorder package installation to satisfy dependencies"
msgstr "älä muuta asennusjärjestystä riippuvuuksien tyydyttämiseksi"

#: lib/poptI.c:200
msgid "do not execute package scriptlet(s)"
msgstr "älä suorita pakettikohtaisia skriptejä"

#: lib/poptI.c:204
#, c-format
msgid "do not execute %%pre scriptlet (if any)"
msgstr "älä suorita %%pre-scriptiä"

#: lib/poptI.c:207
#, c-format
msgid "do not execute %%post scriptlet (if any)"
msgstr "älä suorita %%post-scriptiä"

#: lib/poptI.c:210
#, c-format
msgid "do not execute %%preun scriptlet (if any)"
msgstr "älä suorita %%preun-scriptiä"

#: lib/poptI.c:213
#, c-format
msgid "do not execute %%postun scriptlet (if any)"
msgstr "älä suorita %%postun scriptiä"

#: lib/poptI.c:216
#, c-format
msgid "do not execute %%pretrans scriptlet (if any)"
msgstr ""

#: lib/poptI.c:219
#, c-format
msgid "do not execute %%posttrans scriptlet (if any)"
msgstr ""

#: lib/poptI.c:222
msgid "do not execute any scriptlet(s) triggered by this package"
msgstr "älä suorita tämän paketin laukaisemia skriptejä"

#: lib/poptI.c:225
#, c-format
msgid "do not execute any %%triggerprein scriptlet(s)"
msgstr "älä suorita %%triggerprein skriptejä"

#: lib/poptI.c:228
#, c-format
msgid "do not execute any %%triggerin scriptlet(s)"
msgstr "älä suorita %%triggerin skriptejä"

#: lib/poptI.c:231
#, c-format
msgid "do not execute any %%triggerun scriptlet(s)"
msgstr "älä suorita %%triggerun scriptejä"

#: lib/poptI.c:234
#, c-format
msgid "do not execute any %%triggerpostun scriptlet(s)"
msgstr "älä suorita %%triggerpostun scriptejä"

#: lib/poptI.c:238
msgid ""
"upgrade to an old version of the package (--force on upgrades does this "
"automatically)"
msgstr ""
"päivitä vanhempaan versioon (--force päivitettäessä tekee tämän "
"automaattisesti)"

#: lib/poptI.c:242
msgid "print percentages as package installs"
msgstr "tulosta asennuksen eteneminen prosentteina"

#: lib/poptI.c:244
msgid "relocate the package to <dir>, if relocatable"
msgstr "siirrä paketti hakemistoon <hakem>, jos siirrettävissä"

#: lib/poptI.c:245
msgid "<dir>"
msgstr "<hakemisto>"

#: lib/poptI.c:247
msgid "relocate files from path <old> to <new>"
msgstr "siirrä tiedostot hakemistosta <vanhapolku> hakemistoon <uusipolku>"

#: lib/poptI.c:248
msgid "<old>=<new>"
msgstr "<vanha>=<uusi>"

#: lib/poptI.c:251
msgid "ignore file conflicts between packages"
msgstr "älä huomioi tiedostokonflikteja pakettien välillä"

#: lib/poptI.c:254
msgid "reinstall if the package is already present"
msgstr "asenna uudelleen, jos paketti on jo asennettu"

#: lib/poptI.c:256
msgid "don't install, but tell if it would work or not"
msgstr "älä asenna, mutta kerro onnistuisiko se"

#: lib/poptI.c:259
msgid "upgrade package(s)"
msgstr "päivitä paketteja"

#: lib/poptI.c:263
msgid "reinstall package(s)"
msgstr ""

#: lib/poptQV.c:79
msgid "query/verify all packages"
msgstr "kysele/tarkista kaikki paketit"

#: lib/poptQV.c:81
msgid "rpm checksig mode"
msgstr "rpm allekirjoituksen tarkistustila"

#: lib/poptQV.c:83
msgid "query/verify package(s) owning file"
msgstr "kysele/tarkista pakettia, jonka omistuksessa <tiedosto> on"

#: lib/poptQV.c:85
msgid "query/verify package(s) in group"
msgstr "kysele/tarkista paketteja ryhmässä"

#: lib/poptQV.c:87
msgid "query/verify a package file"
msgstr "kysele/tarkista pakettitiedostoa"

#: lib/poptQV.c:90
msgid "query/verify package(s) with package identifier"
msgstr ""

#: lib/poptQV.c:92
msgid "query/verify package(s) with header identifier"
msgstr ""

#: lib/poptQV.c:95
msgid "rpm query mode"
msgstr "rpm kyselytila"

#: lib/poptQV.c:97
msgid "query/verify a header instance"
msgstr ""

#: lib/poptQV.c:99
msgid "query/verify package(s) from install transaction"
msgstr ""

#: lib/poptQV.c:101
msgid "query the package(s) triggered by the package"
msgstr ""

#: lib/poptQV.c:103
msgid "rpm verify mode"
msgstr "rpm tarkistustila"

#: lib/poptQV.c:105 lib/poptQV.c:107
msgid "query/verify the package(s) which require a dependency"
msgstr "kysele/tarkista paketteja, jotka vaativat ominaisuutta"

#: lib/poptQV.c:109
#, fuzzy
msgid "query/verify the package(s) which obsolete a dependency"
msgstr "kysele/tarkista paketteja, jotka vaativat ominaisuutta"

#: lib/poptQV.c:111
msgid "query/verify the package(s) which provide a dependency"
msgstr "kysele/tarkista paketteja, jotka tarjoavat ominaisuuden"

#: lib/poptQV.c:113
msgid "query/verify the package(s) which recommends a dependency"
msgstr ""

#: lib/poptQV.c:115
msgid "query/verify the package(s) which suggests a dependency"
msgstr ""

#: lib/poptQV.c:117
msgid "query/verify the package(s) which supplements a dependency"
msgstr ""

#: lib/poptQV.c:119
msgid "query/verify the package(s) which enhances a dependency"
msgstr ""

#: lib/poptQV.c:122
msgid "do not glob arguments"
msgstr ""

#: lib/poptQV.c:124
msgid "do not process non-package files as manifests"
msgstr ""

#: lib/poptQV.c:201
msgid "list all configuration files"
msgstr "luettele kaikki konfiguraatiotiedostot"

#: lib/poptQV.c:203
msgid "list all documentation files"
msgstr "luettele kaikki dokumentaatiotiedostot"

#: lib/poptQV.c:205
msgid "list all license files"
msgstr ""

#: lib/poptQV.c:207
#, fuzzy
msgid "list all artifact files"
msgstr "luettele kaikki konfiguraatiotiedostot"

#: lib/poptQV.c:209
msgid "dump basic file information"
msgstr ""

#: lib/poptQV.c:213
msgid "list files in package"
msgstr "luettele paketin tiedostot"

#: lib/poptQV.c:218
#, c-format
msgid "skip %%ghost files"
msgstr "ohita %%ghost tiedostot"

#: lib/poptQV.c:221
#, c-format
msgid "skip %%config files"
msgstr ""

#: lib/poptQV.c:224
#, fuzzy, c-format
msgid "skip %%artifact files"
msgstr "ohita %%ghost tiedostot"

#: lib/poptQV.c:231
msgid "display the states of the listed files"
msgstr "näytä lueteltujen tiedostojen tilat"

#: lib/poptQV.c:249
msgid "don't verify size of files"
msgstr "älä tarkista tiedostojen kokoa"

#: lib/poptQV.c:252
msgid "don't verify symlink path of files"
msgstr "älä tarkista tiedostojen symbolisen linkin polkua"

#: lib/poptQV.c:255
msgid "don't verify owner of files"
msgstr "älä tarkista tiedostojen omistajaa"

#: lib/poptQV.c:258
msgid "don't verify group of files"
msgstr "älä tarkista tiedostojen ryhmää"

#: lib/poptQV.c:261
msgid "don't verify modification time of files"
msgstr "älä tarkista tiedostojen muutosaikaa"

#: lib/poptQV.c:264 lib/poptQV.c:267
msgid "don't verify mode of files"
msgstr "älä tarkista tiedostojen oikeuksia"

#: lib/poptQV.c:270
msgid "don't verify file security contexts"
msgstr ""

#: lib/poptQV.c:272
msgid "don't verify capabilities of files"
msgstr ""

#: lib/poptQV.c:274
msgid "don't verify files in package"
msgstr "älä tarkista paketin tiedostoja"

#: lib/poptQV.c:276 tools/rpmgraph.c:217
msgid "don't verify package dependencies"
msgstr "älä tarkista paketin riippuvuuksia"

#: lib/poptQV.c:279 lib/poptQV.c:282
msgid "don't execute verify script(s)"
msgstr "älä suorita tarkistusskriptejä"

#: lib/psm.c:148
#, c-format
msgid "Missing rpmlib features for %s:\n"
msgstr ""

#: lib/psm.c:185
msgid "source package expected, binary found\n"
msgstr ""

#: lib/psm.c:196
msgid "source package contains no .spec file\n"
msgstr ""

#: lib/psm.c:610
#, c-format
msgid "unpacking of archive failed%s%s: %s\n"
msgstr "arkiston %s%s purkaminen epäonnistui: %s\n"

#: lib/psm.c:611
msgid " on file "
msgstr " tiedostolle "

#: lib/query.c:108
#, c-format
msgid "incorrect format: %s\n"
msgstr "virheelinen muoto: %s\n"

#: lib/query.c:120
msgid "(contains no files)\n"
msgstr "(ei sisällä tiedostoja)\n"

#: lib/query.c:161
msgid "normal        "
msgstr "normaali      "

#: lib/query.c:164
msgid "replaced      "
msgstr "korvattu      "

#: lib/query.c:167
msgid "not installed "
msgstr "ei asennettu  "

#: lib/query.c:170
msgid "net shared    "
msgstr "verkkojaettu  "

#: lib/query.c:173
msgid "wrong color   "
msgstr "väärä väri    "

#: lib/query.c:176
msgid "(no state)    "
msgstr "(ei tilaa)    "

#: lib/query.c:179
#, c-format
msgid "(unknown %3d) "
msgstr "(tuntematon %3d)"

#: lib/query.c:199
msgid "package has not file owner/group lists\n"
msgstr ""

#: lib/query.c:233
msgid "package has neither file owner or id lists\n"
msgstr ""

#: lib/query.c:321
#, c-format
msgid "group %s does not contain any packages\n"
msgstr "ryhmässä %s ei ole paketteja\n"

#: lib/query.c:328
#, c-format
msgid "no package triggers %s\n"
msgstr "mikään paketti ei laukaise %s:a\n"

#: lib/query.c:339 lib/query.c:358 lib/query.c:374
#, c-format
msgid "malformed %s: %s\n"
msgstr "epämuodostunut %s: %s\n"

#: lib/query.c:349 lib/query.c:364 lib/query.c:379
#, c-format
msgid "no package matches %s: %s\n"
msgstr ""

#: lib/query.c:387
#, fuzzy, c-format
msgid "no package conflicts %s\n"
msgstr "mikään paketti ei tarjoa %s:a\n"

#: lib/query.c:394
#, fuzzy, c-format
msgid "no package obsoletes %s\n"
msgstr "mikään paketti ei tarvitse %s:a\n"

#: lib/query.c:401
#, c-format
msgid "no package requires %s\n"
msgstr "mikään paketti ei tarvitse %s:a\n"

#: lib/query.c:408
#, c-format
msgid "no package recommends %s\n"
msgstr ""

#: lib/query.c:415
#, c-format
msgid "no package suggests %s\n"
msgstr ""

#: lib/query.c:422
#, c-format
msgid "no package supplements %s\n"
msgstr ""

#: lib/query.c:429
#, c-format
msgid "no package enhances %s\n"
msgstr ""

#: lib/query.c:437
#, c-format
msgid "no package provides %s\n"
msgstr "mikään paketti ei tarjoa %s:a\n"

#: lib/query.c:469
#, c-format
msgid "file %s: %s\n"
msgstr "tiedosto %s: %s\n"

#: lib/query.c:472
#, c-format
msgid "file %s is not owned by any package\n"
msgstr "tiedostoa %s ei omista mikään paketti\n"

#: lib/query.c:483
#, c-format
msgid "invalid package number: %s\n"
msgstr "virheellinen paketin numero: %s\n"

#: lib/query.c:490
#, c-format
msgid "record %u could not be read\n"
msgstr "tietuetta %u ei voitu lukea\n"

#: lib/query.c:505 lib/rpminstall.c:707
#, c-format
msgid "package %s is not installed\n"
msgstr "paketti %s ei ole asennettu\n"

#: lib/query.c:539
#, c-format
msgid "unknown tag: \"%s\"\n"
msgstr "tuntematon nimiö: \"%s\"\n"

#: lib/rpmchecksig.c:50 lib/rpmchecksig.c:58
#, c-format
msgid "%s: key %d import failed.\n"
msgstr ""

#: lib/rpmchecksig.c:66
#, c-format
msgid "%s: key %d not an armored public key.\n"
msgstr ""

#: lib/rpmchecksig.c:111
#, c-format
msgid "%s: import read failed(%d).\n"
msgstr ""

#: lib/rpmchecksig.c:131
#, c-format
msgid "Fread failed: %s"
msgstr ""

#: lib/rpmchecksig.c:247
msgid "DIGESTS"
msgstr ""

#: lib/rpmchecksig.c:247
msgid "digests"
msgstr ""

#: lib/rpmchecksig.c:251
msgid "SIGNATURES"
msgstr ""

#: lib/rpmchecksig.c:251
msgid "signatures"
msgstr ""

#: lib/rpmchecksig.c:253
msgid "NOT OK"
msgstr "EI OK"

#: lib/rpmchecksig.c:253
msgid "OK"
msgstr ""

#: lib/rpmchecksig.c:299 sign/rpmgensig.c:134
#, c-format
msgid "%s: open failed: %s\n"
msgstr "%s: avaus epäonnistui: %s\n"

#: lib/rpmchroot.c:43
#, c-format
msgid "Unable to open current directory: %m\n"
msgstr ""

#: lib/rpmchroot.c:59 lib/rpmchroot.c:84
#, c-format
msgid "%s: chroot directory not set\n"
msgstr "%s: juurihakemistoa ei ole asetettu\n"

#: lib/rpmchroot.c:70
#, c-format
msgid "Unable to change root directory: %m\n"
msgstr "Juurihakemiston vaihto ei onnistu: %m\n"

#: lib/rpmchroot.c:95
#, c-format
msgid "Unable to restore root directory: %m\n"
msgstr "Juurihakemiston palautus ei onnistu: %m\n"

#: lib/rpmdb.c:72
#, c-format
msgid "Generating %d missing index(es), please wait...\n"
msgstr ""

#: lib/rpmdb.c:167 lib/rpmdb.c:213
#, c-format
msgid "cannot open %s index using %s - %s (%d)\n"
msgstr ""

#: lib/rpmdb.c:462
msgid "no dbpath has been set\n"
msgstr "dbpath ei ole asetettu\n"

#: lib/rpmdb.c:974
msgid "miFreeHeader: skipping"
msgstr "miFreeHeader: ohitetaan"

#: lib/rpmdb.c:990
#, c-format
msgid "error(%d) storing record #%d into %s\n"
msgstr "virhe(%d) tallennettaessa tietuetta #%d %s:ään\n"

#: lib/rpmdb.c:1102
#, c-format
msgid "%s: regexec failed: %s\n"
msgstr "%s: regexec epäonnistui: %s\n"

#: lib/rpmdb.c:1283
#, c-format
msgid "%s: regcomp failed: %s\n"
msgstr "%s: regcomp epäonnistui: %s\n"

#: lib/rpmdb.c:1446
msgid "rpmdbNextIterator: skipping"
msgstr "rpmdbNextIterator: ohitetaan"

#: lib/rpmdb.c:1533
#, c-format
msgid "rpmdb: damaged header #%u retrieved -- skipping.\n"
msgstr "rpmdb: ohitetaan vioittunut otsikkotietue #%u.\n"

#: lib/rpmdb.c:2063
#, c-format
msgid "%s: cannot read header at 0x%x\n"
msgstr "%s: otsikkoa ei voida lukea (0x%x)\n"

#: lib/rpmdb.c:2414
msgid "could not move new database in place\n"
msgstr ""

#: lib/rpmdb.c:2417
#, c-format
msgid "could also not restore old database from %s\n"
msgstr ""

#: lib/rpmdb.c:2419 lib/rpmdb.c:2606
#, c-format
msgid "replace files in %s with files from %s to recover\n"
msgstr ""

#: lib/rpmdb.c:2428
#, c-format
msgid "Could not get public keys from %s\n"
msgstr ""

#: lib/rpmdb.c:2435
#, c-format
msgid "could not delete old database at %s\n"
msgstr ""

#: lib/rpmdb.c:2505
msgid "no dbpath has been set"
msgstr "dbpath ei ole asetettu"

#: lib/rpmdb.c:2523
#, c-format
msgid "failed to create directory %s: %s\n"
msgstr "hakemiston %s luonti epäonnistui: %s\n"

#: lib/rpmdb.c:2560
#, c-format
msgid "header #%u in the database is bad -- skipping.\n"
msgstr "tietue numero %u tietokannassa viallinen -- ohitetaan.\n"

#: lib/rpmdb.c:2575
#, c-format
msgid "cannot add record originally at %u\n"
msgstr "alkupäisen tietueen %u lisäys ei onnistu\n"

#: lib/rpmdb.c:2591
msgid "failed to rebuild database: original database remains in place\n"
msgstr ""
"tietokannan uudelleenrakennus epäonnistui: alkuperäinen kanta paikallaan\n"

#: lib/rpmdb.c:2604
msgid "failed to replace old database with new database!\n"
msgstr "vanhan tietokannan korvaus uudella epäonnistui!\n"

#: lib/rpmds.c:744
msgid "NO "
msgstr "EI "

#: lib/rpmds.c:744
msgid "YES"
msgstr "KYLLÄ "

#: lib/rpmds.c:1221
msgid "PreReq:, Provides:, and Obsoletes: dependencies support versions."
msgstr ""

#: lib/rpmds.c:1224
msgid "file name(s) stored as (dirName,baseName,dirIndex) tuple, not as path."
msgstr ""

#: lib/rpmds.c:1228
msgid "package payload can be compressed using bzip2."
msgstr ""

#: lib/rpmds.c:1233
msgid "package payload can be compressed using xz."
msgstr ""

#: lib/rpmds.c:1236
msgid "package payload can be compressed using lzma."
msgstr ""

#: lib/rpmds.c:1240
msgid "package payload file(s) have \"./\" prefix."
msgstr ""

#: lib/rpmds.c:1243
msgid "package name-version-release is not implicitly provided."
msgstr ""

#: lib/rpmds.c:1246
msgid "header tags are always sorted after being loaded."
msgstr ""

#: lib/rpmds.c:1249
msgid "the scriptlet interpreter can use arguments from header."
msgstr ""

#: lib/rpmds.c:1252
msgid "a hardlink file set may be installed without being complete."
msgstr ""

#: lib/rpmds.c:1255
msgid "package scriptlets may access the rpm database while installing."
msgstr ""

#: lib/rpmds.c:1259
msgid "internal support for lua scripts."
msgstr ""

#: lib/rpmds.c:1263
msgid "file digest algorithm is per package configurable"
msgstr ""

#: lib/rpmds.c:1267
msgid "support for POSIX.1e file capabilities"
msgstr ""

#: lib/rpmds.c:1271
msgid "package scriptlets can be expanded at install time."
msgstr ""

#: lib/rpmds.c:1274
msgid "dependency comparison supports versions with tilde."
msgstr ""

#: lib/rpmds.c:1277
msgid "dependency comparison supports versions with caret."
msgstr ""

#: lib/rpmds.c:1280
msgid "support files larger than 4GB"
msgstr ""

#: lib/rpmds.c:1283
msgid "support for rich dependencies."
msgstr ""

#: lib/rpmds.c:1287
msgid "package payload can be compressed using zstd."
msgstr ""

#: lib/rpmds.c:1413
#, c-format
msgid "Unknown rich dependency op '%.*s'"
msgstr ""

#: lib/rpmds.c:1454
msgid "Name required"
msgstr ""

#: lib/rpmds.c:1491
msgid "Illegal ops in with/without"
msgstr ""

#: lib/rpmds.c:1498
msgid "Illegal context for 'unless', please use 'or' instead"
msgstr ""

#: lib/rpmds.c:1503
msgid "Illegal context for 'if', please use 'and' instead"
msgstr ""

#: lib/rpmds.c:1519
msgid "Rich dependency does not start with '('"
msgstr ""

#: lib/rpmds.c:1527
msgid "Missing argument to rich dependency op"
msgstr ""

#: lib/rpmds.c:1529
msgid "Empty rich dependency"
msgstr ""

#: lib/rpmds.c:1547
#, c-format
msgid "Unterminated rich dependency: %s"
msgstr ""

#: lib/rpmds.c:1562
msgid "Cannot chain different ops"
msgstr ""

#: lib/rpmds.c:1567
msgid "Can only chain and/or/with ops"
msgstr ""

#: lib/rpmds.c:1698
msgid "Junk after rich dependency"
msgstr ""

#: lib/rpmfi.c:810
#, c-format
msgid "user %s does not exist - using %s\n"
msgstr ""

#: lib/rpmfi.c:817
#, c-format
msgid "group %s does not exist - using %s\n"
msgstr ""

#: lib/rpmfi.c:1374
#, c-format
msgid "Wrong number of entries for tag %s: %u found but %u expected.\n"
msgstr ""

#: lib/rpmfi.c:1379
#, c-format
msgid "Malformed data for tag %s: %u bytes found but %lu expected.\n"
msgstr ""

#: lib/rpmfi.c:2348
msgid "Bad magic"
msgstr ""

#: lib/rpmfi.c:2349
msgid "Bad/unreadable  header"
msgstr "Virheellinen otsikkotieto"

#: lib/rpmfi.c:2372
msgid "Header size too big"
msgstr "Otsikkotieto liian suuri"

#: lib/rpmfi.c:2373
msgid "File too large for archive"
msgstr ""

#: lib/rpmfi.c:2374
msgid "Unknown file type"
msgstr "Tuntematon tiedostotyyppi"

#: lib/rpmfi.c:2375
msgid "Missing file(s)"
msgstr ""

#: lib/rpmfi.c:2376
msgid "Digest mismatch"
msgstr "Tarkistussumma ei täsmää"

#: lib/rpmfi.c:2377
msgid "Internal error"
msgstr "Sisäinen virhe"

#: lib/rpmfi.c:2378
msgid "Archive file not in header"
msgstr ""

#: lib/rpmfi.c:2382
msgid "File from package already exists as a directory in system"
msgstr ""

#: lib/rpmfi.c:2389
msgid " failed - "
msgstr " epäonnistui - "

#: lib/rpmfi.c:2392
#, c-format
msgid "%s: (error 0x%x)"
msgstr ""

#: lib/rpmgi.c:55 lib/rpminstall.c:117 lib/rpminstall.c:316
#: lib/rpminstall.c:348 tools/rpmgraph.c:91 tools/rpmgraph.c:128
#, c-format
msgid "open of %s failed: %s\n"
msgstr "%s:n avaus ei onnistunut: %s\n"

#: lib/rpmgi.c:144
#, c-format
msgid "Max level of manifest recursion exceeded: %s\n"
msgstr ""

#: lib/rpmgi.c:155
#, c-format
msgid "%s: not an rpm package (or package manifest)\n"
msgstr "%s: ei ole rpm paketti (tai pakettilista)\n"

#: lib/rpminstall.c:143
#, c-format
msgid "Updating / installing...\n"
msgstr ""

#: lib/rpminstall.c:145
#, c-format
msgid "Cleaning up / removing...\n"
msgstr ""

#: lib/rpminstall.c:197
msgid "Preparing..."
msgstr "Valmistellaan..."

#: lib/rpminstall.c:197
#, fuzzy
msgid "Verifying..."
msgstr "Valmistellaan..."

#: lib/rpminstall.c:200
msgid "Preparing packages..."
msgstr ""

#: lib/rpminstall.c:200
#, fuzzy
msgid "Verifying packages..."
msgstr "kysele/tarkista kaikki paketit"

#: lib/rpminstall.c:278 tools/rpmgraph.c:167
msgid "Failed dependencies:\n"
msgstr "Puuttuvia riippuvuuksia:\n"

#: lib/rpminstall.c:330
#, c-format
msgid "%s: not an rpm package (or package manifest): %s\n"
msgstr "%s: ei ole rpm paketti (tai pakettilista): %s\n"

#: lib/rpminstall.c:369 lib/rpminstall.c:769 tools/rpmgraph.c:111
#, c-format
msgid "%s cannot be installed\n"
msgstr "%s:ää ei voida asentaa\n"

#: lib/rpminstall.c:506
#, c-format
msgid "Retrieving %s\n"
msgstr "Haetaan %s\n"

#: lib/rpminstall.c:518
#, c-format
msgid "skipping %s - transfer failed\n"
msgstr "ohitetaan %s - siirto epäonnistui\n"

#: lib/rpminstall.c:588
#, c-format
msgid "package %s is not relocatable\n"
msgstr "paketti %s ei ole uudelleensijoitettava\n"

#: lib/rpminstall.c:619
#, c-format
msgid "error reading from file %s\n"
msgstr "virhe luettaessa tiedostosta %s\n"

#: lib/rpminstall.c:714
#, c-format
msgid "\"%s\" specifies multiple packages:\n"
msgstr "\"%s\" määrittää useita paketteja:\n"

#: lib/rpminstall.c:753
#, c-format
msgid "cannot open %s: %s\n"
msgstr "virhe: en voi avata %s: %s\n"

#: lib/rpminstall.c:759
#, c-format
msgid "Installing %s\n"
msgstr "Asennetaan %s\n"

#: lib/rpmlead.c:95
msgid "not an rpm package"
msgstr "ei ole RPM paketti"

#: lib/rpmlead.c:99
msgid "illegal signature type"
msgstr "laiton allekirjoitustyyppi"

#: lib/rpmlead.c:103
msgid "unsupported RPM package version"
msgstr "RPM pakettiversio ei ole tuettu"

#: lib/rpmlead.c:118
#, c-format
msgid "read failed: %s (%d)\n"
msgstr "luku epäonnistui: %s (%d)\n"

#: lib/rpmlead.c:121
msgid "not an rpm package\n"
msgstr "ei ole RPM paketti\n"

#: lib/rpmlock.c:119 lib/rpmlock.c:140
#, c-format
msgid "can't create %s lock on %s (%s)\n"
msgstr "%s-lukon luonti %s:een ei onnistu (%s)\n"

#: lib/rpmlock.c:135
#, c-format
msgid "waiting for %s lock on %s\n"
msgstr "odotetaan %s-lukkoa %s\n"

#: lib/rpmplugins.c:65
#, c-format
msgid "Failed to dlopen %s %s\n"
msgstr ""

#: lib/rpmplugins.c:73
#, c-format
msgid "Failed to resolve symbol %s: %s\n"
msgstr ""

#: lib/rpmplugins.c:155
#, c-format
msgid "Plugin %%__%s_%s not configured\n"
msgstr ""

#: lib/rpmplugins.c:200
#, c-format
msgid "Plugin %s not loaded\n"
msgstr ""

#: lib/rpmprob.c:109
msgid "different"
msgstr "eri"

#: lib/rpmprob.c:114
#, c-format
msgid "package %s is intended for a %s architecture"
msgstr "paketti %s on tarkoittettu %s-arkkitehtuurille"

#: lib/rpmprob.c:118
#, c-format
msgid "package %s is intended for a %s operating system"
msgstr "paketti %s on tarkoitettu %s-käyttöjärjestelmälle"

#: lib/rpmprob.c:122
#, c-format
msgid "package %s is already installed"
msgstr "paketti %s on jo asennettuna"

#: lib/rpmprob.c:125
#, c-format
msgid "path %s in package %s is not relocatable"
msgstr "polku %s paketissa %s ei ole uudelleensijoitettava"

#: lib/rpmprob.c:130
#, c-format
msgid "file %s conflicts between attempted installs of %s and %s"
msgstr ""

#: lib/rpmprob.c:135
#, c-format
msgid "file %s from install of %s conflicts with file from package %s"
msgstr ""

#: lib/rpmprob.c:140
#, c-format
msgid "package %s (which is newer than %s) is already installed"
msgstr "paketti %s (joka on uudempi kuin %s) on jo asennettuna"

#: lib/rpmprob.c:145
#, c-format
msgid "installing package %s needs %<PRIu64>%cB on the %s filesystem"
msgstr ""
"paketin %s asennus tarvitsee %<PRIu64>%c tavua tiedostojärjestelmällä %s"

#: lib/rpmprob.c:155
#, c-format
msgid "installing package %s needs %<PRIu64> inodes on the %s filesystem"
msgstr ""
"paketin %s asennus tarvitsee %<PRIu64> inodea tiedostojärjestelmällä %s"

#: lib/rpmprob.c:159
#, c-format
msgid "%s is needed by %s%s"
msgstr ""

#: lib/rpmprob.c:160 lib/rpmprob.c:164 lib/rpmprob.c:168
msgid "(installed) "
msgstr "(asennettu) "

#: lib/rpmprob.c:163
#, c-format
msgid "%s conflicts with %s%s"
msgstr "%s on ristiriidassa %s-%s:n kanssa"

#: lib/rpmprob.c:167
#, c-format
msgid "%s is obsoleted by %s%s"
msgstr ""

#: lib/rpmprob.c:171
#, fuzzy, c-format
msgid "package %s does not verify: %s"
msgstr "paketti %s ei ole asennettu\n"

#: lib/rpmprob.c:176
#, c-format
msgid "unknown error %d encountered while manipulating package %s"
msgstr "tuntematon virhe %d käsitellessä pakettia %s"

#: lib/rpmrc.c:222
#, c-format
msgid "missing second ':' at %s:%d\n"
msgstr "toinen ':' puuttuu, %s:%d\n"

#: lib/rpmrc.c:225
#, c-format
msgid "missing architecture name at %s:%d\n"
msgstr "puuttuva arkkitehtuurin nimi, %s:%d\n"

#: lib/rpmrc.c:370
#, c-format
msgid "Incomplete data line at %s:%d\n"
msgstr "Epätäydellinen datarivi, %s:%d\n"

#: lib/rpmrc.c:375
#, c-format
msgid "Too many args in data line at %s:%d\n"
msgstr "Liian monta parametriä datarivillä %s:%d\n"

#: lib/rpmrc.c:382
#, c-format
msgid "Bad arch/os number: %s (%s:%d)\n"
msgstr "Virheellinen arkkitehtuuri/käyttöjärjestelmä numero: %s (%s:%d)\n"

#: lib/rpmrc.c:413
#, c-format
msgid "Incomplete default line at %s:%d\n"
msgstr "Epätäydellinen oletusrivi, %s:%d\n"

#: lib/rpmrc.c:418
#, c-format
msgid "Too many args in default line at %s:%d\n"
msgstr "Liian monta parametriä oletusrivillä %s:%d\n"

#: lib/rpmrc.c:523
#, c-format
msgid "missing ':' (found 0x%02x) at %s:%d\n"
msgstr "puuttuva ':' (löydettiin 0x%02x): %s:%d\n"

#: lib/rpmrc.c:540 lib/rpmrc.c:572
#, c-format
msgid "missing argument for %s at %s:%d\n"
msgstr "puuttuva argumentti %s:lle: %s:%d\n"

#: lib/rpmrc.c:551
#, c-format
msgid "cannot open %s at %s:%d: %m\n"
msgstr "en voi avata %s:aa %s:%d:ssä: %m\n"

#: lib/rpmrc.c:564
#, c-format
msgid "missing architecture for %s at %s:%d\n"
msgstr ""

#: lib/rpmrc.c:632
#, c-format
msgid "bad option '%s' at %s:%d\n"
msgstr ""

#: lib/rpmrc.c:972
msgid "Failed to read auxiliary vector, /proc not mounted?\n"
msgstr ""

#: lib/rpmrc.c:1469
#, c-format
msgid "Unknown system: %s\n"
msgstr "Tuntematon järjestelmä: %s\n"

#: lib/rpmrc.c:1471
#, c-format
msgid "Please contact %s\n"
msgstr "Ota yhteyttä %s\n"

#: lib/rpmrc.c:1604
#, c-format
msgid "Unable to open %s for reading: %m.\n"
msgstr "En voi avata %s luettavaksi: %m.\n"

#: lib/rpmrc.c:1622
msgid "failed to register exit handler"
msgstr ""

#: lib/rpmscript.c:133
msgid "No exec() called after fork() in lua scriptlet\n"
msgstr ""

#: lib/rpmscript.c:138
#, c-format
msgid "Unable to restore current directory: %m"
msgstr ""

#: lib/rpmscript.c:149 rpmio/macro.c:855
msgid "<lua> scriptlet support not built in\n"
msgstr ""

#: lib/rpmscript.c:212
#, fuzzy, c-format
msgid "failed to exec scriptlet interpreter %s: %s\n"
msgstr "hakemiston %s luonti epäonnistui: %s\n"

#: lib/rpmscript.c:267
#, c-format
msgid "Couldn't create temporary file for %s: %s\n"
msgstr "Ei voitu luoda tilapäistiedostoa %s:lle: %s\n"

#: lib/rpmscript.c:302
#, c-format
msgid "Couldn't duplicate file descriptor: %s: %s\n"
msgstr ""

#: lib/rpmscript.c:342
#, c-format
msgid "Fwrite failed: %s"
msgstr ""

#: lib/rpmscript.c:360
#, c-format
msgid "%s scriptlet failed, waitpid(%d) rc %d: %s\n"
msgstr "%s scripti epäonnistui, waitpid(%d) palautti %d: %s\n"

#: lib/rpmscript.c:364
#, c-format
msgid "%s scriptlet failed, signal %d\n"
msgstr "%s skripti epäonnistui, signaali %d\n"

#: lib/rpmscript.c:367
#, c-format
msgid "%s scriptlet failed, exit status %d\n"
msgstr "%s skripti epäonnistui, palautti %d\n"

#: lib/rpmtd.c:248
msgid "Unknown format"
msgstr "Tuntematon formaatti"

#: lib/rpmte.c:745
msgid "install"
msgstr ""

#: lib/rpmte.c:746
msgid "erase"
msgstr ""

#: lib/rpmts.c:100
#, c-format
msgid "cannot open Packages database in %s\n"
msgstr "Pakettitietokantaa %s ei voida avata\n"

#: lib/rpmts.c:199
#, c-format
msgid "extra '(' in package label: %s\n"
msgstr ""

#: lib/rpmts.c:217
#, c-format
msgid "missing '(' in package label: %s\n"
msgstr ""

#: lib/rpmts.c:225
#, c-format
msgid "missing ')' in package label: %s\n"
msgstr ""

#: lib/rpmts.c:284
#, c-format
msgid "%s: reading of public key failed.\n"
msgstr "%s: julkisen avaimen luku epäonnistui.\n"

#: lib/rpmts.c:1046
#, fuzzy, c-format
msgid "invalid package verify level %s\n"
msgstr "virheellinen paketin numero: %s\n"

#: lib/rpmts.c:1203
msgid "transaction"
msgstr ""

#: lib/rpmvs.c:150
#, c-format
msgid "%s tag %u: invalid type %u"
msgstr ""

#: lib/rpmvs.c:156
#, c-format
msgid "%s: tag %u: invalid count %u"
msgstr ""

#: lib/rpmvs.c:176
#, c-format
msgid "%s tag %u: invalid data %p (%u)"
msgstr ""

#: lib/rpmvs.c:186
#, c-format
msgid "%s tag %u: invalid size %u"
msgstr ""

#: lib/rpmvs.c:193
#, c-format
msgid "%s tag %u: invalid OpenPGP signature"
msgstr ""

#: lib/rpmvs.c:205
#, c-format
msgid "%s: tag %u: invalid hex"
msgstr ""

#: lib/rpmvs.c:260 lib/rpmvs.c:272
#, c-format
msgid "%s%s %s"
msgstr ""

#: lib/rpmvs.c:263
msgid "digest"
msgstr ""

#: lib/rpmvs.c:268
#, c-format
msgid "%s%s"
msgstr ""

#: lib/rpmvs.c:275
msgid "signature"
msgstr ""

#: lib/rpmvs.c:302
msgid "header"
msgstr ""

#: lib/rpmvs.c:302
msgid "package"
msgstr ""

#: lib/rpmvs.c:496
msgid "Header "
msgstr "Otsikko "

#: lib/rpmvs.c:497
msgid "Payload "
msgstr ""

#: lib/signature.c:213
msgid "Unable to reload signature header.\n"
msgstr "Allekirjoitusotsikon uudelleenlataus ei onnistu\n"

#: lib/transaction.c:1209
#, fuzzy
msgid "no signature"
msgstr "(ei ole OpenPGP-allekirjoitus)"

#: lib/transaction.c:1209
msgid "no digest"
msgstr ""

#: lib/transaction.c:1521
msgid "skipped"
msgstr ""

#: lib/transaction.c:1521
msgid "failed"
msgstr "epäonnistui"

#: lib/verify.c:356
msgid "no state"
msgstr ""

#: lib/verify.c:358
msgid "unknown state"
msgstr ""

#: lib/verify.c:409
#, c-format
msgid "missing   %c %s"
msgstr "puuttuva  %c %s"

#: lib/verify.c:464
#, c-format
msgid "Unsatisfied dependencies for %s:\n"
msgstr "Tyydyttämättömiä riippuvuuksia %s:lle:\n"

#: plugins/prioreset.c:29
#, c-format
msgid "Unable to reset nice value: %s"
msgstr ""

#: plugins/prioreset.c:40
#, c-format
msgid "Unable to reset I/O priority: %s"
msgstr ""

#: rpmio/digest_nss.c:69
msgid "Failed to initialize NSS library\n"
msgstr ""

#: rpmio/digest_nss.c:80
#, c-format
msgid "Failed to register fork handler: %m\n"
msgstr ""

#: rpmio/macro.c:286
#, fuzzy, c-format
msgid "%3d>%*s(empty)\n"
msgstr "%3d>%*s(tyhjä)"

#: rpmio/macro.c:316
#, c-format
msgid "%3d<%*s(empty)\n"
msgstr "%3d<%*s(tyhjä)\n"

#: rpmio/macro.c:483
#, c-format
msgid "Macro %%%s has unterminated opts\n"
msgstr "Makrossa %%%s on päättämättömiä valitsimia\n"

#: rpmio/macro.c:495 rpmio/macro.c:533
#, c-format
msgid "Macro %%%s has unterminated body\n"
msgstr "Makrossa %%%s on päättämätön runko\n"

#: rpmio/macro.c:551
#, c-format
msgid "Macro %%%s has illegal name (%s)\n"
msgstr ""

#: rpmio/macro.c:557
#, c-format
msgid "Macro %%%s has empty body\n"
msgstr "Makron %%%s runko on tyhjä\n"

#: rpmio/macro.c:562
#, c-format
msgid "Macro %%%s needs whitespace before body\n"
msgstr ""

#: rpmio/macro.c:566
#, c-format
msgid "Macro %%%s failed to expand\n"
msgstr "Makron %%%s laajennos ei onnistunut\n"

#: rpmio/macro.c:607
#, c-format
msgid "Macro %%%s has illegal name (%%undefine)\n"
msgstr "Makron %%%s nimi on laiton (%%undefine)\n"

#: rpmio/macro.c:637
#, c-format
msgid "Macro %%%s defined but not used within scope\n"
msgstr ""

#: rpmio/macro.c:761
#, c-format
msgid "Unknown option %c in %s(%s)\n"
msgstr "Tuntematon valitsin %c %s(%s):ssä\n"

#: rpmio/macro.c:1055
msgid ""
"Too many levels of recursion in macro expansion. It is likely caused by "
"recursive macro declaration.\n"
msgstr ""

#: rpmio/macro.c:1125 rpmio/macro.c:1141
#, c-format
msgid "Unterminated %c: %s\n"
msgstr "Päättämätön %c: %s\n"

#: rpmio/macro.c:1182
#, c-format
msgid "A %% is followed by an unparseable macro\n"
msgstr "%% seuraa makro jota ei voida jäsentää\n"

#: rpmio/macro.c:1197
#, c-format
msgid "failed to load macro file %s"
msgstr ""

#: rpmio/macro.c:1578
#, c-format
msgid "======================== active %d empty %d\n"
msgstr "======================== aktiivisia %d tyhjiä %d\n"

#: rpmio/rpmfileutil.c:258
#, c-format
msgid "error creating temporary file %s: %m\n"
msgstr "virhe luotaessa tilapäistä tiedostoa %s: %m\n"

#: rpmio/rpmfileutil.c:323 rpmio/rpmfileutil.c:329
#, c-format
msgid "File %s: %s\n"
msgstr "Tiedosto %s: %s\n"

#: rpmio/rpmfileutil.c:332
#, c-format
msgid "File %s is smaller than %u bytes\n"
msgstr ""

#: rpmio/rpmio.c:299
msgid "[none]"
msgstr ""

#: rpmio/rpmlog.c:81
msgid "(no error)"
msgstr "(ei virhettä)"

#: rpmio/rpmlog.c:191 rpmio/rpmlog.c:192 rpmio/rpmlog.c:193
msgid "fatal error: "
msgstr "vakava virhe: "

#: rpmio/rpmlog.c:194
msgid "error: "
msgstr "virhe: "

#: rpmio/rpmlog.c:195
msgid "warning: "
msgstr "varoitus: "

#: rpmio/rpmlog.c:269
msgid "Error writing to log"
msgstr ""

#: rpmio/rpmlua.c:522
#, c-format
msgid "invalid syntax in lua scriptlet: %s\n"
msgstr "virheellinen syntaksi lua-skriptissä: %s\n"

#: rpmio/rpmlua.c:540
#, c-format
msgid "invalid syntax in lua script: %s\n"
msgstr "virheellinen syntaksi lua-skriptissä: %s\n"

#: rpmio/rpmlua.c:545 rpmio/rpmlua.c:564
#, c-format
msgid "lua script failed: %s\n"
msgstr "lua-skripti epäonnistui: %s\n"

#: rpmio/rpmlua.c:559
#, c-format
msgid "invalid syntax in lua file: %s\n"
msgstr "virheellinen syntaksi lua-tiedostossa: %s\n"

#: rpmio/rpmlua.c:755
#, c-format
msgid "lua hook failed: %s\n"
msgstr "lua-koukku epäonnistui: %s\n"

#: rpmio/rpmmalloc.c:25
#, c-format
msgid "memory alloc (%u bytes) returned NULL.\n"
msgstr "muistin varaus (%u tavua) palautti NULL:in.\n"

#: rpmio/rpmpgp.c:664 rpmio/rpmpgp.c:752 rpmio/rpmpgp.c:826
#, c-format
msgid "Unsupported version of key: V%d\n"
msgstr ""

#: rpmio/rpmpgp.c:1127
#, c-format
msgid "V%d %s/%s %s, key ID %s"
msgstr ""

#: rpmio/rpmpgp.c:1135
msgid "(none)"
msgstr "(ei mitään)"

#: rpmio/rpmsq.c:37
#, c-format
msgid "exiting on signal %d from pid %d\n"
msgstr ""

#: sign/rpmgensig.c:54
#, c-format
msgid "error creating temp directory %s: %m\n"
msgstr ""

#: sign/rpmgensig.c:62
#, c-format
msgid "error creating fifo %s: %m\n"
msgstr ""

#: sign/rpmgensig.c:83
#, c-format
msgid "error delete fifo %s: %m\n"
msgstr ""

#: sign/rpmgensig.c:91
#, c-format
msgid "error delete directory %s: %m\n"
msgstr ""

#: sign/rpmgensig.c:167
#, c-format
msgid "%s: Fwrite failed: %s\n"
msgstr "%s: Fwrite epäonnistui: %s\n"

#: sign/rpmgensig.c:173
#, c-format
msgid "%s: Fread failed: %s\n"
msgstr "%s: Tiedoston luku epäonnistui: %s\n"

#: sign/rpmgensig.c:177
#, c-format
msgid "%s: Fflush failed: %s\n"
msgstr "%s: Fflush epäonnistui: %s\n"

#: sign/rpmgensig.c:202
msgid "Unsupported PGP signature\n"
msgstr ""

#: sign/rpmgensig.c:208
#, c-format
msgid "Unsupported PGP hash algorithm %u\n"
msgstr ""

#: sign/rpmgensig.c:221
#, c-format
msgid "Unsupported PGP pubkey algorithm %u\n"
msgstr ""

#: sign/rpmgensig.c:270
#, c-format
msgid "Could not exec %s: %s\n"
msgstr "%s:ää ei voitu suorittaa: %s\n"

#: sign/rpmgensig.c:280
msgid "Fopen failed\n"
msgstr ""

#: sign/rpmgensig.c:295
msgid "Could not write to pipe\n"
msgstr ""

#: sign/rpmgensig.c:302
#, c-format
msgid "Could not read from file %s: %s\n"
msgstr ""

#: sign/rpmgensig.c:312
#, c-format
msgid "gpg exec failed (%d)\n"
msgstr "gpg:n suoritus epäonnistui (%d)\n"

#: sign/rpmgensig.c:354
msgid "gpg failed to write signature\n"
msgstr "gpg ei voinut kirjoittaa allekirjoitusta\n"

#: sign/rpmgensig.c:371
msgid "unable to read the signature\n"
msgstr "en voinut lukea allekirjoitusta\n"

#: sign/rpmgensig.c:499
msgid "generateSignature failed\n"
msgstr ""

#: sign/rpmgensig.c:513
msgid "rpmReadSignature failed\n"
msgstr ""

#: sign/rpmgensig.c:557
msgid "headerReload failed\n"
msgstr ""

#: sign/rpmgensig.c:564 sign/rpmgensig.c:780
msgid "rpmMkTemp failed\n"
msgstr "rpmMkTemp epäonnistui\n"

#: sign/rpmgensig.c:571 sign/rpmgensig.c:607
msgid "copyFile failed\n"
msgstr ""

#: sign/rpmgensig.c:590
msgid "headerWrite failed\n"
msgstr ""

#: sign/rpmgensig.c:622
#, c-format
msgid "%s already contains identical file signatures\n"
msgstr ""

#: sign/rpmgensig.c:639
msgid "file signing support not built in\n"
msgstr ""

#: sign/rpmgensig.c:682
#, c-format
msgid "%s: rpmReadSignature failed: %s"
msgstr "%s: rpmReadSignature epäonnistui: %s"

#: sign/rpmgensig.c:689
#, c-format
msgid "%s: headerRead failed: %s\n"
msgstr ""

#: sign/rpmgensig.c:694
msgid "Cannot sign RPM v3 packages\n"
msgstr ""

#: sign/rpmgensig.c:722
#, c-format
msgid "%s already contains identical signature, skipping\n"
msgstr ""

#: sign/rpmgensig.c:770 sign/rpmgensig.c:793
#, c-format
msgid "%s: rpmWriteSignature failed: %s\n"
msgstr "%s: rpmWriteSignature epäonnistui: %s\n"

#: sign/rpmgensig.c:787
#, c-format
msgid "%s: writeLead failed: %s\n"
msgstr "%s: writeLead epäonnistui: %s\n"

#: sign/rpmgensig.c:812
#, c-format
msgid "replacing %s failed: %s\n"
msgstr ""

#: sign/rpmsignfiles.c:59
msgid "sign_hash failed\n"
msgstr ""

#: sign/rpmsignfiles.c:99
msgid "File digest algorithm id is invalid"
msgstr ""

#: sign/rpmsignfiles.c:106
msgid "hash_algo_name failed\n"
msgstr ""

#: sign/rpmsignfiles.c:119
msgid "signFile failed\n"
msgstr ""

#: sign/rpmsignfiles.c:125
msgid "headerPutString failed\n"
msgstr ""

#: tools/rpmgraph.c:141
#, c-format
msgid "%s: read manifest failed: %s\n"
msgstr "%s: pakettilistan luku epäonnistui: %s\n"

#: tools/rpmgraph.c:219
msgid "don't verify header+payload signature"
msgstr "älä tarkista otsikon ja kuorman allekirjoitusta"
